GNU bug report logs - #33007
27.0.50; Proposal for function to edit and return string

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Jean Louis <bugs@HIDDEN>; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 33007 <at> debbugs.gnu.org:


Received: (at 33007) by debbugs.gnu.org; 9 May 2022 19:01:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 09 15:01:07 2022
Received: from localhost ([127.0.0.1]:59464 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1no8d1-0002n5-A4
	for submit <at> debbugs.gnu.org; Mon, 09 May 2022 15:01:07 -0400
Received: from relay5-d.mail.gandi.net ([217.70.183.197]:56089)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1no8cz-0002lt-RR
 for 33007 <at> debbugs.gnu.org; Mon, 09 May 2022 15:01:06 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by mail.gandi.net (Postfix) with ESMTPSA id 75BAD1C0003;
 Mon,  9 May 2022 19:00:56 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#33007: 27.0.50; Proposal for function to edit and return
 string
Organization: LINKOV.NET
References: <86pnwh4je8.fsf@HIDDEN> <83bm81xl84.fsf@HIDDEN>
 <20181011063321.GD27672@HIDDEN> <87lg74zk2k.fsf@HIDDEN>
 <87v8uybp1c.fsf@HIDDEN> <871qxlj293.fsf@HIDDEN>
 <875ymx7ga6.fsf@HIDDEN> <86pml5gp6m.fsf@HIDDEN>
 <87a6c8jhjb.fsf@HIDDEN> <86czh3vp4g.fsf@HIDDEN>
 <87sfpyd8wu.fsf@HIDDEN> <86wnfascft.fsf@HIDDEN>
 <86r15hvelj.fsf@HIDDEN> <87fslxpl29.fsf@HIDDEN>
 <86ee13j348.fsf@HIDDEN> <87wnevavcq.fsf@HIDDEN>
Date: Mon, 09 May 2022 21:52:50 +0300
In-Reply-To: <87wnevavcq.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Mon,
 09 May 2022 11:49:57 +0200")
Message-ID: <86tu9yy1vh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33007
Cc: Michael Heerdegen <michael_heerdegen@HIDDEN>, 33007 <at> debbugs.gnu.org,
 Jean Louis <bugs@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>> -  (pop-to-buffer-same-window (generate-new-buffer "*edit string*"))
>> +  (pop-to-buffer (generate-new-buffer "*edit string*")
>> +                 '(display-buffer-below-selected
>> +                   (window-height . (lambda (window)
>> +                                      (fit-window-to-buffer window nil 10)))))
>
> Shouldn't it wait to do the fitting until it's prepared the buffer?
> I.e., it should create the buffer first, insert all the stuff, and then
> pop to it?

This is possible by moving `pop-to-buffer' to the end of the function.

>> -    (kill-buffer (current-buffer))
>> +    (quit-window 'kill)
>
> I think we really want to kill the buffer?  It'd be disturbing to leave
> thees buffers lying around from a function call like
> read-string-from-buffer.

The arg `kill' of `quit-window' actually kills the buffer.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33007; Package emacs. Full text available.

Message received at 33007 <at> debbugs.gnu.org:


Received: (at 33007) by debbugs.gnu.org; 9 May 2022 09:50:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 09 05:50:11 2022
Received: from localhost ([127.0.0.1]:56149 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1no01r-0005GZ-BY
	for submit <at> debbugs.gnu.org; Mon, 09 May 2022 05:50:11 -0400
Received: from quimby.gnus.org ([95.216.78.240]:39948)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1no01o-0005GH-MT
 for 33007 <at> debbugs.gnu.org; Mon, 09 May 2022 05:50:09 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=5d7duzgHGeuadVyI8Z+YX2B6n+01eZJHY4Q+9rTBZ/Q=; b=azuB4T7HAwxFVbEUwmyRRTCrKX
 ms4ckJSjk6MishqcSaGsW2stpwDR2Ojhrvi0NasfNePTQg4VbYiLVqFR/GUU/0YrhqwnBGPQL02Mm
 PuBpG3iaVy8n2bDH++/PIQFUUBwrq3iEALVYRufeyF8+Ck1ADtIn1hfYs00r3TSIkwJI=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1no01e-0004EK-HT; Mon, 09 May 2022 11:50:02 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#33007: 27.0.50; Proposal for function to edit and return
 string
References: <86pnwh4je8.fsf@HIDDEN> <83bm81xl84.fsf@HIDDEN>
 <20181011063321.GD27672@HIDDEN> <87lg74zk2k.fsf@HIDDEN>
 <87v8uybp1c.fsf@HIDDEN> <871qxlj293.fsf@HIDDEN>
 <875ymx7ga6.fsf@HIDDEN> <86pml5gp6m.fsf@HIDDEN>
 <87a6c8jhjb.fsf@HIDDEN> <86czh3vp4g.fsf@HIDDEN>
 <87sfpyd8wu.fsf@HIDDEN> <86wnfascft.fsf@HIDDEN>
 <86r15hvelj.fsf@HIDDEN> <87fslxpl29.fsf@HIDDEN>
 <86ee13j348.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAIVBMVEX9/f0hDA67wq9T
 qNr2723e3diWXk27olJdTkhSp7b///+JyUX3AAAAAWJLR0QKaND0VgAAAAd0SU1FB+YFCQkjMC6A
 7ocAAAGVSURBVDjLtdG/T4NAFAfwy5Grrmdsy4inJR2bEBO7GYLWkTQe0c0QSxlNh9qx0BRulsX7
 b70fTXtAm+jgGxj48H3v3gHAoS4sz/NAoIoa70FvD0sBiO6RaVgmCZujIwkBaQ2QmhHKVqvABGiC
 ORx2JXQuFdy3Ei8SnoKH1owjoE8V9QQ8Br4JtgQ616uboBak722wT4AeTssW6D12YJ6q8yuobd6F
 nneXMblIEJrQF4kMZ7jfAFAg8ooF2I1Was4BIocs4imcExK7cX6GRfUUDNcJWxPIooLlcY4k9NVx
 h9uU5QQWLkvLPEcMY7tU4G6ZTrC02OYI6k4CosQlcURcogpNRWJS3xwl8pHZYg9KqbFHlHyIJTFm
 2JZfHMD9jAlZiU4423DOzcQMDDN5XLypxgagQYjKKw21hKpzBRWvmgDle3vMq3ED0Le4w4o34DkI
 fNG94k2QV8F1/St83fhkQK+92ybsLtwanQA4+ksCib9kOcBCoeOEFISIEt8PEllvwApbicmC6kQD
 Jhrqw8Ul6lYzgEY/cgiymJjq9IAAAAAldEVYdGRhdGU6Y3JlYXRlADIwMjItMDUtMDlUMDk6MzU6
 NDgrMDA6MDCOxssmAAAAJXRFWHRkYXRlOm1vZGlmeQAyMDIyLTA1LTA5VDA5OjM1OjQ4KzAwOjAw
 /5tzmgAAAABJRU5ErkJggg==
X-Now-Playing: Blaine L. Reininger's _Broken Fingers_: "Petit Piece Chinoise"
Date: Mon, 09 May 2022 11:49:57 +0200
In-Reply-To: <86ee13j348.fsf@HIDDEN> (Juri Linkov's message of "Sun, 
 08 May 2022 21:22:47 +0300")
Message-ID: <87wnevavcq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Juri Linkov <juri@HIDDEN> writes: > -
 (pop-to-buffer-same-window
 (generate-new-buffer "*edit string*")) > + (pop-to-buffer (generate-new-buffer
 "*edit string*") > + '(display-buffer-below-selected > + (window-height .
 (lambda (window) [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 33007
Cc: Michael Heerdegen <michael_heerdegen@HIDDEN>, 33007 <at> debbugs.gnu.org,
 Jean Louis <bugs@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Juri Linkov <juri@HIDDEN> writes:

> -  (pop-to-buffer-same-window (generate-new-buffer "*edit string*"))
> +  (pop-to-buffer (generate-new-buffer "*edit string*")
> +                 '(display-buffer-below-selected
> +                   (window-height . (lambda (window)
> +                                      (fit-window-to-buffer window nil 10)))))

Shouldn't it wait to do the fitting until it's prepared the buffer?
I.e., it should create the buffer first, insert all the stuff, and then
pop to it?

> -    (kill-buffer (current-buffer))
> +    (quit-window 'kill)

I think we really want to kill the buffer?  It'd be disturbing to leave
thees buffers lying around from a function call like
read-string-from-buffer.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33007; Package emacs. Full text available.

Message received at 33007 <at> debbugs.gnu.org:


Received: (at 33007) by debbugs.gnu.org; 8 May 2022 18:25:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 08 14:25:17 2022
Received: from localhost ([127.0.0.1]:55216 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nnlan-0005xp-Nk
	for submit <at> debbugs.gnu.org; Sun, 08 May 2022 14:25:17 -0400
Received: from relay10.mail.gandi.net ([217.70.178.230]:58753)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1nnlam-0005xK-2d
 for 33007 <at> debbugs.gnu.org; Sun, 08 May 2022 14:25:16 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by mail.gandi.net (Postfix) with ESMTPSA id BDC12240004;
 Sun,  8 May 2022 18:25:07 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#33007: 27.0.50; Proposal for function to edit and return
 string
Organization: LINKOV.NET
References: <86pnwh4je8.fsf@HIDDEN> <83bm81xl84.fsf@HIDDEN>
 <20181011063321.GD27672@HIDDEN> <87lg74zk2k.fsf@HIDDEN>
 <87v8uybp1c.fsf@HIDDEN> <871qxlj293.fsf@HIDDEN>
 <875ymx7ga6.fsf@HIDDEN> <86pml5gp6m.fsf@HIDDEN>
 <87a6c8jhjb.fsf@HIDDEN> <86czh3vp4g.fsf@HIDDEN>
 <87sfpyd8wu.fsf@HIDDEN> <86wnfascft.fsf@HIDDEN>
 <86r15hvelj.fsf@HIDDEN> <87fslxpl29.fsf@HIDDEN>
Date: Sun, 08 May 2022 21:22:47 +0300
In-Reply-To: <87fslxpl29.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Thu,
 28 Apr 2022 12:19:10 +0200")
Message-ID: <86ee13j348.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33007
Cc: Michael Heerdegen <michael_heerdegen@HIDDEN>, 33007 <at> debbugs.gnu.org,
 Jean Louis <bugs@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain

>> Maybe a separate bug report is needed?  Because it seems that
>> the order of processing these parameters should be rather like this:
>>
>> 1. first set window-height with fit-window-to-buffer;
>> 2. then check if the constraint of window-min-height is fulfilled,
>>    and shrink too high window.
>>
>> Then 'string-edit' will insert the initial string, and
>> 'fit-window-to-buffer' will fit the window.  If the window height
>> is less than 10 lines, it will enlarge to 10 lines.  But in case of
>> too many lines, the window height should not be more than
>> half of the original window.
>
> Yup; sounds like a separate bug report is warranted.

As was found in bug#55169, this is already possible to do with a lambda:


--=-=-=
Content-Type: text/x-diff
Content-Disposition: inline; filename=read-string-from-buffer.patch

diff --git a/lisp/textmodes/string-edit.el b/lisp/textmodes/string-edit.el
index ab0b3b3bd7..d3f614ca94 100644
--- a/lisp/textmodes/string-edit.el
+++ b/lisp/textmodes/string-edit.el
@@ -47,7 +47,10 @@ string-edit
 PROMPT will be inserted at the start of the buffer, but won't be
 included in the resulting string.  If PROMPT is nil, no help text
 will be inserted."
-  (pop-to-buffer-same-window (generate-new-buffer "*edit string*"))
+  (pop-to-buffer (generate-new-buffer "*edit string*")
+                 '(display-buffer-below-selected
+                   (window-height . (lambda (window)
+                                      (fit-window-to-buffer window nil 10)))))
   (when prompt
     (let ((inhibit-read-only t))
       (insert prompt)
@@ -113,14 +116,14 @@ string-edit-done
     (goto-char (prop-match-beginning match)))
   (let ((string (buffer-substring (point) (point-max)))
         (callback string-edit--success-callback))
-    (kill-buffer (current-buffer))
+    (quit-window 'kill)
     (funcall callback string)))
 
 (defun string-edit-abort ()
   "Abort editing the current string."
   (interactive)
   (let ((callback string-edit--abort-callback))
-    (kill-buffer (current-buffer))
+    (quit-window 'kill)
     (when callback
       (funcall callback))))
 

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33007; Package emacs. Full text available.

Message received at 33007 <at> debbugs.gnu.org:


Received: (at 33007) by debbugs.gnu.org; 28 Apr 2022 10:19:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 28 06:19:22 2022
Received: from localhost ([127.0.0.1]:45430 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nk1F3-0005EG-Ox
	for submit <at> debbugs.gnu.org; Thu, 28 Apr 2022 06:19:21 -0400
Received: from quimby.gnus.org ([95.216.78.240]:52624)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nk1F2-0005E0-Is
 for 33007 <at> debbugs.gnu.org; Thu, 28 Apr 2022 06:19:21 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=ZAvDjhVI8jB9NX3xTEWrU/yeHNHaSw9QHtzfge+3eTQ=; b=OJwXNCRd83UkWDXApFDezeVEpj
 cCeoHT8XmjRk0wQTUjZTp5VD+PV8rPprgTbHIJMDVbgbpgmWqIvZHIwzRKpByzBiGhwglh26u0DsO
 Xg6IIY8TH6sJ9NP3hgXG7dH6A6IBP7vWFr2dSTCDq+XiJ+SaoNPXVNLLft86h5AF7BUk=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nk1Et-0007xz-CT; Thu, 28 Apr 2022 12:19:13 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#33007: 27.0.50; Proposal for function to edit and return
 string
References: <86pnwh4je8.fsf@HIDDEN> <83bm81xl84.fsf@HIDDEN>
 <20181011063321.GD27672@HIDDEN> <87lg74zk2k.fsf@HIDDEN>
 <87v8uybp1c.fsf@HIDDEN> <871qxlj293.fsf@HIDDEN>
 <875ymx7ga6.fsf@HIDDEN> <86pml5gp6m.fsf@HIDDEN>
 <87a6c8jhjb.fsf@HIDDEN> <86czh3vp4g.fsf@HIDDEN>
 <87sfpyd8wu.fsf@HIDDEN> <86wnfascft.fsf@HIDDEN>
 <86r15hvelj.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAElBMVEX046vr7dilur2G
 fHlPPDj///+AV5IAAAAAAWJLR0QF+G/pxwAAAAd0SU1FB+YEHAoQNIVnf+oAAAGaSURBVDjLlZRh
 cuMwCIXtpAcI5AIB9gCN0AFaS/c/0z5hWVbazOwszo+ETw8Q4CxLt5VebTEzVbWffjoE9H+A3tjb
 xP8Gy0XNYTlpGLN2oJprybV2AHsMUIT0z1uARAOw3F5ALnVTlV+K29Vrfb4DjvwFXuEJbER3+Gv1
 sO0A7itlr8PKDjwpP24haOnxpSscMe2+n0VMhEodwH+99iDEng+gj3W5WG1VBRgKTYtevPoe6gVo
 slwj+xfpDHJNHyXAd0zgAIZefPTkjs8AWiv1qnL1MisK9XugWcXTqdjo3osiLmkK9dUVT4At+dFd
 h4MDJCXSGWBjeM8gIDYAQivl6K0wnYPybxbi3CarcJ+jzXAoytrsB3CMWSgZmiYvy5CIW04c9rYl
 LAcIAUy17ZzoCUIBgbVAiHYCAiNlPIhLA1BTMAnHQ2RpACiU4sAMPF4ivblLuwiJfe4ghYLvXlbk
 Rm0TaL8NG+l7vT35swUSzW0NWnNGE+MOT4wU45b5VYvcCTt7dQ+/DIUwJ2mhVjZk4c/Fj3+Tiy6z
 /QW+xX8mOL9oVAAAACV0RVh0ZGF0ZTpjcmVhdGUAMjAyMi0wNC0yOFQxMDoxNjo1MiswMDowMOJr
 /KQAAAAldEVYdGRhdGU6bW9kaWZ5ADIwMjItMDQtMjhUMTA6MTY6NTIrMDA6MDCTNkQYAAAAAElF
 TkSuQmCC
X-Now-Playing: Yukihiro Takahashi's _Blue Moon Blue_: "A Star Is Born"
Date: Thu, 28 Apr 2022 12:19:10 +0200
In-Reply-To: <86r15hvelj.fsf@HIDDEN> (Juri Linkov's message of "Thu, 
 28 Apr 2022 10:32:16 +0300")
Message-ID: <87fslxpl29.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Juri Linkov <juri@HIDDEN> writes: > Maybe a separate bug
 report is needed? Because it seems that > the order of processing these
 parameters
 should be rather like this: > > 1. first set window-height with
 fit-window-to-buffer; > 2. the [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 33007
Cc: Michael Heerdegen <michael_heerdegen@HIDDEN>, 33007 <at> debbugs.gnu.org,
 Jean Louis <bugs@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Juri Linkov <juri@HIDDEN> writes:

> Maybe a separate bug report is needed?  Because it seems that
> the order of processing these parameters should be rather like this:
>
> 1. first set window-height with fit-window-to-buffer;
> 2. then check if the constraint of window-min-height is fulfilled,
>    and shrink too high window.
>
> Then 'string-edit' will insert the initial string, and
> 'fit-window-to-buffer' will fit the window.  If the window height
> is less than 10 lines, it will enlarge to 10 lines.  But in case of
> too many lines, the window height should not be more than
> half of the original window.

Yup; sounds like a separate bug report is warranted.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33007; Package emacs. Full text available.

Message received at 33007 <at> debbugs.gnu.org:


Received: (at 33007) by debbugs.gnu.org; 28 Apr 2022 07:43:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 28 03:43:25 2022
Received: from localhost ([127.0.0.1]:45178 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1njyo9-0007UW-1N
	for submit <at> debbugs.gnu.org; Thu, 28 Apr 2022 03:43:25 -0400
Received: from relay8-d.mail.gandi.net ([217.70.183.201]:47649)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1njyo6-0007UH-Sr
 for 33007 <at> debbugs.gnu.org; Thu, 28 Apr 2022 03:43:23 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by mail.gandi.net (Postfix) with ESMTPSA id E6E7E1BF208;
 Thu, 28 Apr 2022 07:43:14 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#33007: 27.0.50; Proposal for function to edit and return
 string
Organization: LINKOV.NET
References: <86pnwh4je8.fsf@HIDDEN> <83bm81xl84.fsf@HIDDEN>
 <20181011063321.GD27672@HIDDEN> <87lg74zk2k.fsf@HIDDEN>
 <87v8uybp1c.fsf@HIDDEN> <871qxlj293.fsf@HIDDEN>
 <875ymx7ga6.fsf@HIDDEN> <86pml5gp6m.fsf@HIDDEN>
 <87a6c8jhjb.fsf@HIDDEN> <86czh3vp4g.fsf@HIDDEN>
 <87sfpyd8wu.fsf@HIDDEN> <86wnfascft.fsf@HIDDEN>
Date: Thu, 28 Apr 2022 10:32:16 +0300
In-Reply-To: <86wnfascft.fsf@HIDDEN> (Juri Linkov's message of "Wed, 
 27 Apr 2022 19:44:54 +0300")
Message-ID: <86r15hvelj.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33007
Cc: Michael Heerdegen <michael_heerdegen@HIDDEN>, 33007 <at> debbugs.gnu.org,
 Jean Louis <bugs@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>> pop-to-buffer-same-window does allow customization via
>> display-buffer-alist, but -below-selected would be a better default.
>
> This is what could be used:
>
>   (pop-to-buffer (generate-new-buffer "*edit string*")
>                  '(display-buffer-below-selected
>                    (window-min-height . 10)
>                    (window-height . fit-window-to-buffer)))
>
> but currently its window-min-height has no effect.
> Maybe because of a bug?  The docstring of display-buffer-below-selected:
>
>   If ALIST contains a `window-min-height' entry, this function
>   ensures that the window used is or can become at least as high as
>   specified by that entry's value.  Note that such an entry alone
>   will not resize the window per se.  In order to do that, ALIST
>   must also contain a `window-height' entry with the same value.
>
> But still the window height is less than 10 lines.

Maybe a separate bug report is needed?  Because it seems that
the order of processing these parameters should be rather like this:

1. first set window-height with fit-window-to-buffer;
2. then check if the constraint of window-min-height is fulfilled,
   and shrink too high window.

Then 'string-edit' will insert the initial string, and
'fit-window-to-buffer' will fit the window.  If the window height
is less than 10 lines, it will enlarge to 10 lines.  But in case of
too many lines, the window height should not be more than
half of the original window.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33007; Package emacs. Full text available.

Message received at 33007 <at> debbugs.gnu.org:


Received: (at 33007) by debbugs.gnu.org; 27 Apr 2022 17:05:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 27 13:05:33 2022
Received: from localhost ([127.0.0.1]:44193 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1njl6b-0006Ki-7O
	for submit <at> debbugs.gnu.org; Wed, 27 Apr 2022 13:05:33 -0400
Received: from quimby.gnus.org ([95.216.78.240]:45174)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1njl6Y-0006KM-Ti
 for 33007 <at> debbugs.gnu.org; Wed, 27 Apr 2022 13:05:31 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=SJzcbcysc2dWK02WURgfOjuWXKZrBgZE3N11TMAp+4k=; b=ZVEbn7NSmf38/wQPENe2SNfKyb
 cpLnTD0jksB/LYeWCmfCwgusodFR5Lh/3VZGgA1a4AFLSs4N4ZRqKL/kKsFLHGRxgR0LxCNVQl0Eq
 c+bUzVWDsP1UWig7PSvsKvlhu5/ix/Jq9AseUy6QvBXyGD2PSpLy7uie7bViSOn54CkU=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1njl6P-0007aA-EL; Wed, 27 Apr 2022 19:05:23 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#33007: 27.0.50; Proposal for function to edit and return
 string
References: <86pnwh4je8.fsf@HIDDEN> <83bm81xl84.fsf@HIDDEN>
 <20181011063321.GD27672@HIDDEN> <87lg74zk2k.fsf@HIDDEN>
 <87v8uybp1c.fsf@HIDDEN> <871qxlj293.fsf@HIDDEN>
 <875ymx7ga6.fsf@HIDDEN> <86pml5gp6m.fsf@HIDDEN>
 <87a6c8jhjb.fsf@HIDDEN> <86czh3vp4g.fsf@HIDDEN>
 <87sfpyd8wu.fsf@HIDDEN> <86wnfascft.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAElBMVEWbclq2i2SNcVVN
 MSasPzb///9/8nd/AAAAAWJLR0QF+G/pxwAAAAd0SU1FB+YEGxEDMoBP72UAAAGcSURBVDjLdZOL
 ccMwCEAJ6QBRzwNQ0QES0ABxpP1nKiDLie2ay50lPf4QgAuE5JyZ4tMFUjwj2VmPYL2ZyjjeOlD/
 kQNcdUJJ9iZvW+331ZWdIoRK3oi9W0LkKe0AxPM/gCAjWhmCe4DkAVUMRq7cczQQ9SlRpjCyR75b
 SR6fhQWIwJVZPmKzqDBSNLKXk9FDZ2ZVdSXJutTZi7OrqgCKeIhAi7k9uyqFRhzMguOW1QKFWHQM
 ZxGgK3qe0XYO0PU0uoh57W4OD2LAIhAT0gAenD0bAB1V9LZjuBcCcj9uNGZp6SO6hZV1eY8WvD3Q
 AXzOHNiTu5rVADEHXzUDeM1EiwnFPtlsxCtgitkvxUZL0BLybvqeklofrLBYQvbRmDn+YL6M9hjr
 n1Jafaik1O68Bc+pFn2kNLWdRWtf1UHq0+QAdvytj291gNEtDgtXKXVO2sqrxVw2ruZUq9Zc9lm1
 ear6KSuY5smCsA68/P3KPLX28p0ob2ALqgbqbHnJFQ6u2hM50w234CgLGM07NFHlxOLU1U7kDPAJ
 8BT+AKy7pC/MFreOAAAAJXRFWHRkYXRlOmNyZWF0ZQAyMDIyLTA0LTI3VDE3OjAzOjUwKzAwOjAw
 ocqYawAAACV0RVh0ZGF0ZTptb2RpZnkAMjAyMi0wNC0yN1QxNzowMzo1MCswMDowMNCXINcAAAAA
 SUVORK5CYII=
X-Now-Playing: Heidi Berry's _Love_: "Washington Square"
Date: Wed, 27 Apr 2022 19:05:20 +0200
In-Reply-To: <86wnfascft.fsf@HIDDEN> (Juri Linkov's message of "Wed, 
 27 Apr 2022 19:44:54 +0300")
Message-ID: <87zgk6qwxb.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Juri Linkov <juri@HIDDEN> writes: > BTW,
 maybe read-string-from-buffer
 should have ###autoload cookie? Ah, yes. Now added. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 33007
Cc: Michael Heerdegen <michael_heerdegen@HIDDEN>, 33007 <at> debbugs.gnu.org,
 Jean Louis <bugs@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Juri Linkov <juri@HIDDEN> writes:

> BTW, maybe read-string-from-buffer should have ###autoload cookie?

Ah, yes.  Now added.

> Also any chance to make it argument-wise compatible with read-string?
> Currently:
>
>   (read-string PROMPT &optional INITIAL-INPUT
>   (read-string-from-buffer STRING &optional HELP-TEXT
>
> HELP-TEXT could be renamed to PROMPT, and STRING really is INITIAL-INPUT.

Yeah, that makes sense, I think?  I had initially thought that perhaps
callers wouldn't commonly have a HELP-TEXT, but perhaps all callers need
to say what the purpose of the string is.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33007; Package emacs. Full text available.

Message received at 33007 <at> debbugs.gnu.org:


Received: (at 33007) by debbugs.gnu.org; 27 Apr 2022 16:58:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 27 12:58:02 2022
Received: from localhost ([127.0.0.1]:44161 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1njkzK-0003sy-5F
	for submit <at> debbugs.gnu.org; Wed, 27 Apr 2022 12:58:02 -0400
Received: from relay3-d.mail.gandi.net ([217.70.183.195]:53255)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1njkzG-0003sY-6k
 for 33007 <at> debbugs.gnu.org; Wed, 27 Apr 2022 12:57:58 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by mail.gandi.net (Postfix) with ESMTPSA id 227BB6000A;
 Wed, 27 Apr 2022 16:57:49 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#33007: 27.0.50; Proposal for function to edit and return
 string
Organization: LINKOV.NET
References: <86pnwh4je8.fsf@HIDDEN> <83bm81xl84.fsf@HIDDEN>
 <20181011063321.GD27672@HIDDEN> <87lg74zk2k.fsf@HIDDEN>
 <87v8uybp1c.fsf@HIDDEN> <871qxlj293.fsf@HIDDEN>
 <875ymx7ga6.fsf@HIDDEN> <86pml5gp6m.fsf@HIDDEN>
 <87a6c8jhjb.fsf@HIDDEN> <86czh3vp4g.fsf@HIDDEN>
 <87sfpyd8wu.fsf@HIDDEN>
Date: Wed, 27 Apr 2022 19:44:54 +0300
In-Reply-To: <87sfpyd8wu.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Wed,
 27 Apr 2022 14:10:09 +0200")
Message-ID: <86wnfascft.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33007
Cc: Michael Heerdegen <michael_heerdegen@HIDDEN>, 33007 <at> debbugs.gnu.org,
 Jean Louis <bugs@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> pop-to-buffer-same-window does allow customization via
> display-buffer-alist, but -below-selected would be a better default.

This is what could be used:

  (pop-to-buffer (generate-new-buffer "*edit string*")
                 '(display-buffer-below-selected
                   (window-min-height . 10)
                   (window-height . fit-window-to-buffer)))

but currently its window-min-height has no effect.
Maybe because of a bug?  The docstring of display-buffer-below-selected:

  If ALIST contains a `window-min-height' entry, this function
  ensures that the window used is or can become at least as high as
  specified by that entry's value.  Note that such an entry alone
  will not resize the window per se.  In order to do that, ALIST
  must also contain a `window-height' entry with the same value.

But still the window height is less than 10 lines.

BTW, maybe read-string-from-buffer should have ###autoload cookie?

Also any chance to make it argument-wise compatible with read-string?
Currently:

  (read-string PROMPT &optional INITIAL-INPUT
  (read-string-from-buffer STRING &optional HELP-TEXT

HELP-TEXT could be renamed to PROMPT, and STRING really is INITIAL-INPUT.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33007; Package emacs. Full text available.

Message received at 33007 <at> debbugs.gnu.org:


Received: (at 33007) by debbugs.gnu.org; 27 Apr 2022 12:10:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 27 08:10:21 2022
Received: from localhost ([127.0.0.1]:41445 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1njgUv-000397-8L
	for submit <at> debbugs.gnu.org; Wed, 27 Apr 2022 08:10:21 -0400
Received: from quimby.gnus.org ([95.216.78.240]:42234)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1njgUt-00038u-13
 for 33007 <at> debbugs.gnu.org; Wed, 27 Apr 2022 08:10:19 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=EaTKIBnJsy7Ndtvb+fz4/U3EEbfr2qcgAJ8Kf8gnOZQ=; b=LD7n/ALDIAd5GfiOcl1g4RrtHO
 ctlQwEBTnfRIa8wWIizkqXLUqaMbBI+jz49bk1JlEVj80S4/ENK8wFMUmXoAvAzWwbH9GdimPQVir
 DEGHT8yCqAFmu+GXzzm2lnQNbKMK9c7GWHWiMO9Aid6nYGMf/o8pL8GTH6swFOEcG0Tc=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1njgUk-00054G-9U; Wed, 27 Apr 2022 14:10:12 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#33007: 27.0.50; Proposal for function to edit and return
 string
References: <86pnwh4je8.fsf@HIDDEN> <83bm81xl84.fsf@HIDDEN>
 <20181011063321.GD27672@HIDDEN> <87lg74zk2k.fsf@HIDDEN>
 <87v8uybp1c.fsf@HIDDEN> <871qxlj293.fsf@HIDDEN>
 <875ymx7ga6.fsf@HIDDEN> <86pml5gp6m.fsf@HIDDEN>
 <87a6c8jhjb.fsf@HIDDEN> <86czh3vp4g.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAALVBMVEX+/v7XzuGxkshZ
 OodxU6RoSJacaalZMlpDI0IgDh+QVXPHfKW7lL9wRmL///93KfLhAAAAAWJLR0QOb70wTwAAAAd0
 SU1FB+YEGwwECB38kDMAAAF/SURBVDjL1dMhT8NAFAdwQKAQ8BUmqoYhC0XD3T4AazeFacZRAjMQ
 uOvIGRJyVxJ0e2IKQdJldmYoBOrsWGly34XbJng3Nwd/2V/e+7826cbG/8iezXoAs7nn5Be2GigM
 UIhwOM8pgADZ4CZaZBWwj87bCCN07AAOjhhlotENHECo5UsllRLtbnDqQMhyZSMYWoFOOn+ucikC
 d9XRElSahRCamM0he7MzwploLeBBf1t1YFGRj68vbT8o31nC4P0qsQyBYGahuv60kMFzcce+nHqe
 9JKnRB0A6Jh5OR/G2a2f3gDw6TRRuZGlML7/CIDOOFNZkfZnfNq6d4B+xfdjakrRfz2EYHh1NXnv
 CWYqMwTnCm5m00h7pSgFBbAtGKfmK/rwGONDOCEF5WcFier7qir6AIwtJ23tRZ405QCuKugdifQH
 IRdlCiGv3rhdpD3Ssd8SgKxGd6SmtXfCVO4AH72QqFbz4lTJAbyKF5zUta7FuTTgqnWz/Al214A/
 mB8HIcOZ9rwRIgAAACV0RVh0ZGF0ZTpjcmVhdGUAMjAyMi0wNC0yN1QxMjowNDowOCswMDowMCU2
 cAIAAAAldEVYdGRhdGU6bW9kaWZ5ADIwMjItMDQtMjdUMTI6MDQ6MDgrMDA6MDBUa8i+AAAAAElF
 TkSuQmCC
X-Now-Playing: Kate Bush's _Hounds of Love_: "Hounds of Love"
Date: Wed, 27 Apr 2022 14:10:09 +0200
In-Reply-To: <86czh3vp4g.fsf@HIDDEN> (Juri Linkov's message of "Tue, 
 26 Apr 2022 18:39:23 +0300")
Message-ID: <87sfpyd8wu.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Juri Linkov <juri@HIDDEN> writes: > The most important
 thing is that it should support customization > with display-buffer-alist:
 in Org mode it was impossible to > customize the location of Org popup windows
 because > display-buffer- [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 33007
Cc: Michael Heerdegen <michael_heerdegen@HIDDEN>, 33007 <at> debbugs.gnu.org,
 Jean Louis <bugs@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Juri Linkov <juri@HIDDEN> writes:

> The most important thing is that it should support customization
> with display-buffer-alist: in Org mode it was impossible to
> customize the location of Org popup windows because
> display-buffer-alist was ignored in org-no-popups,
> but now I see this limitation was removed recently.

pop-to-buffer-same-window does allow customization via
display-buffer-alist, but -below-selected would be a better default.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33007; Package emacs. Full text available.

Message received at 33007 <at> debbugs.gnu.org:


Received: (at 33007) by debbugs.gnu.org; 27 Apr 2022 12:09:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 27 08:09:24 2022
Received: from localhost ([127.0.0.1]:41441 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1njgTz-00037Q-Vj
	for submit <at> debbugs.gnu.org; Wed, 27 Apr 2022 08:09:24 -0400
Received: from quimby.gnus.org ([95.216.78.240]:42214)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1njgTy-00037B-7F
 for 33007 <at> debbugs.gnu.org; Wed, 27 Apr 2022 08:09:22 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=5VmSo/+L8rSFgheVmhyw9tUdKsE5zdf+i0be/0xWUwQ=; b=Cf6/Rp8p2rKYLwdjbw7MtRBViN
 AP1T1IIN5mtMx0D+GYCxQwQWqvlSEpMZN7t3IouNr6KIFjXclo7k/u0W9CEHthM/h1E4XeTqtn/hk
 MZI9cGQvXnFAwcJwckvmCYbhr+P6rd384MIYbPgc7/IzZoGnbizrIP6Wu5kF059AR62g=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1njgTp-00051X-Ki; Wed, 27 Apr 2022 14:09:15 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#33007: 27.0.50; Proposal for function to edit and return
 string
References: <86pnwh4je8.fsf@HIDDEN> <83bm81xl84.fsf@HIDDEN>
 <20181011063321.GD27672@HIDDEN> <87lg74zk2k.fsf@HIDDEN>
 <87v8uybp1c.fsf@HIDDEN> <871qxlj293.fsf@HIDDEN>
 <875ymx7ga6.fsf@HIDDEN> <86pml5gp6m.fsf@HIDDEN>
 <87tuag3ikx.fsf@HIDDEN> <875ymwjhhi.fsf@HIDDEN>
 <86sfpzvpoq.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAALVBMVEX+/v7XzuGxkshZ
 OodxU6RoSJacaalZMlpDI0IgDh+QVXPHfKW7lL9wRmL///93KfLhAAAAAWJLR0QOb70wTwAAAAd0
 SU1FB+YEGwwECB38kDMAAAF/SURBVDjL1dMhT8NAFAdwQKAQ8BUmqoYhC0XD3T4AazeFacZRAjMQ
 uOvIGRJyVxJ0e2IKQdJldmYoBOrsWGly34XbJng3Nwd/2V/e+7826cbG/8iezXoAs7nn5Be2GigM
 UIhwOM8pgADZ4CZaZBWwj87bCCN07AAOjhhlotENHECo5UsllRLtbnDqQMhyZSMYWoFOOn+ucikC
 d9XRElSahRCamM0he7MzwploLeBBf1t1YFGRj68vbT8o31nC4P0qsQyBYGahuv60kMFzcce+nHqe
 9JKnRB0A6Jh5OR/G2a2f3gDw6TRRuZGlML7/CIDOOFNZkfZnfNq6d4B+xfdjakrRfz2EYHh1NXnv
 CWYqMwTnCm5m00h7pSgFBbAtGKfmK/rwGONDOCEF5WcFier7qir6AIwtJ23tRZ405QCuKugdifQH
 IRdlCiGv3rhdpD3Ssd8SgKxGd6SmtXfCVO4AH72QqFbz4lTJAbyKF5zUta7FuTTgqnWz/Al214A/
 mB8HIcOZ9rwRIgAAACV0RVh0ZGF0ZTpjcmVhdGUAMjAyMi0wNC0yN1QxMjowNDowOCswMDowMCU2
 cAIAAAAldEVYdGRhdGU6bW9kaWZ5ADIwMjItMDQtMjdUMTI6MDQ6MDgrMDA6MDBUa8i+AAAAAElF
 TkSuQmCC
X-Now-Playing: Kate Bush's _Hounds of Love_: "Hounds of Love"
Date: Wed, 27 Apr 2022 14:09:10 +0200
In-Reply-To: <86sfpzvpoq.fsf@HIDDEN> (Juri Linkov's message of "Tue, 
 26 Apr 2022 18:36:13 +0300")
Message-ID: <87wnfad8yh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Juri Linkov <juri@HIDDEN> writes: > This is exactly what
    org-src-mode does after invoking ‘C-c '’ > (org-edit-special). > Its
   header-line-format is: > > "Edit, then exit with `\\[org-edit-src-exit]' or
    abort with > `\\[org-edit-sr [...] 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 33007
Cc: Michael Heerdegen <michael_heerdegen@HIDDEN>, 33007 <at> debbugs.gnu.org,
 Jean Louis <bugs@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Juri Linkov <juri@HIDDEN> writes:

> This is exactly what org-src-mode does after invoking =E2=80=98C-c '=E2=
=80=99
> (org-edit-special).
> Its header-line-format is:
>
>   "Edit, then exit with `\\[org-edit-src-exit]' or abort with
> `\\[org-edit-src-abort]'"

I've now added something like this to string-edit.

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33007; Package emacs. Full text available.

Message received at 33007 <at> debbugs.gnu.org:


Received: (at 33007) by debbugs.gnu.org; 26 Apr 2022 15:54:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 26 11:54:03 2022
Received: from localhost ([127.0.0.1]:40337 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1njNVr-0000lb-Bp
	for submit <at> debbugs.gnu.org; Tue, 26 Apr 2022 11:54:03 -0400
Received: from relay1-d.mail.gandi.net ([217.70.183.193]:50581)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1njNVa-0000ji-E9
 for 33007 <at> debbugs.gnu.org; Tue, 26 Apr 2022 11:54:01 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by mail.gandi.net (Postfix) with ESMTPSA id 71D0224000C;
 Tue, 26 Apr 2022 15:53:37 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#33007: 27.0.50; Proposal for function to edit and return
 string
Organization: LINKOV.NET
References: <86pnwh4je8.fsf@HIDDEN> <83bm81xl84.fsf@HIDDEN>
 <20181011063321.GD27672@HIDDEN> <87lg74zk2k.fsf@HIDDEN>
 <87v8uybp1c.fsf@HIDDEN> <871qxlj293.fsf@HIDDEN>
 <875ymx7ga6.fsf@HIDDEN> <86pml5gp6m.fsf@HIDDEN>
 <87a6c8jhjb.fsf@HIDDEN>
Date: Tue, 26 Apr 2022 18:39:23 +0300
In-Reply-To: <87a6c8jhjb.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Tue,
 26 Apr 2022 11:55:04 +0200")
Message-ID: <86czh3vp4g.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 33007
Cc: Michael Heerdegen <michael_heerdegen@HIDDEN>, 33007 <at> debbugs.gnu.org,
 Jean Louis <bugs@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>> Also it would be nicer to pop up its buffer under the current window
>> (need to play with display-buffer parameters), and a good example
>> is display-buffer-below-selected (e.g. as used in dired-mark-pop-up).
>
> I see that that function has only a single usage in Emacs, and after
> reading half the doc string, I can see why.
>
> If we want to use something like that more in Emacs, somebody should
> write a function with a simpler interface.

The most important thing is that it should support customization
with display-buffer-alist: in Org mode it was impossible to
customize the location of Org popup windows because
display-buffer-alist was ignored in org-no-popups,
but now I see this limitation was removed recently.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33007; Package emacs. Full text available.

Message received at 33007 <at> debbugs.gnu.org:


Received: (at 33007) by debbugs.gnu.org; 26 Apr 2022 15:53:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 26 11:53:47 2022
Received: from localhost ([127.0.0.1]:40325 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1njNVb-0000k2-L0
	for submit <at> debbugs.gnu.org; Tue, 26 Apr 2022 11:53:47 -0400
Received: from relay2-d.mail.gandi.net ([217.70.183.194]:44767)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1njNVW-0000jT-EJ
 for 33007 <at> debbugs.gnu.org; Tue, 26 Apr 2022 11:53:42 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by mail.gandi.net (Postfix) with ESMTPSA id E44B940008;
 Tue, 26 Apr 2022 15:53:34 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#33007: 27.0.50; Proposal for function to edit and return
 string
Organization: LINKOV.NET
References: <86pnwh4je8.fsf@HIDDEN> <83bm81xl84.fsf@HIDDEN>
 <20181011063321.GD27672@HIDDEN> <87lg74zk2k.fsf@HIDDEN>
 <87v8uybp1c.fsf@HIDDEN> <871qxlj293.fsf@HIDDEN>
 <875ymx7ga6.fsf@HIDDEN> <86pml5gp6m.fsf@HIDDEN>
 <87tuag3ikx.fsf@HIDDEN> <875ymwjhhi.fsf@HIDDEN>
Date: Tue, 26 Apr 2022 18:36:13 +0300
In-Reply-To: <875ymwjhhi.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Tue,
 26 Apr 2022 11:56:09 +0200")
Message-ID: <86sfpzvpoq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33007
Cc: Michael Heerdegen <michael_heerdegen@HIDDEN>, 33007 <at> debbugs.gnu.org,
 Jean Louis <bugs@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>> Additionally: we have enough room to include such instructions in the
>> buffer itself.  There are many keybindings for aborting in use (also in
>> third party packages) like C-c ESC, C-c C-k, C-c C-a.  And when you need
>> to know which one it was the message is long gone.  We could use the
>> header-line, or the mode-line, or the buffer header used when using the
>> :help-text key.
>
> Putting the instructions into a header line might be the nicest solution
> here...

This is exactly what org-src-mode does after invoking ‘C-c '’ (org-edit-special).
Its header-line-format is:

  "Edit, then exit with `\\[org-edit-src-exit]' or abort with `\\[org-edit-src-abort]'"




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33007; Package emacs. Full text available.

Message received at 33007 <at> debbugs.gnu.org:


Received: (at 33007) by debbugs.gnu.org; 26 Apr 2022 09:59:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 26 05:59:05 2022
Received: from localhost ([127.0.0.1]:37101 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1njHyL-0005N7-KH
	for submit <at> debbugs.gnu.org; Tue, 26 Apr 2022 05:59:05 -0400
Received: from quimby.gnus.org ([95.216.78.240]:58700)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1njHyK-0005Ma-A2
 for 33007 <at> debbugs.gnu.org; Tue, 26 Apr 2022 05:59:04 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=pUyB2FVGEHnv46T7hKnkQj0UWuZBgXZ62AeHf907t2I=; b=n0v3aww2xS7+hLc3LL1ZuccZ6Z
 yvv4wZipwtYtPS0Sc2pL6z8AGEjhzS4L60NSQFb7eYHd1UF8L5zA9nhoaDqzvR6iG3dqkywHo/KeP
 ltjUSdr9tBbjnY83BPs/Q6V5DBjsqq/yHcofM12rT7zMFcrb4wLIkq5s0CXH8ZHNZwfs=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1njHyB-00074b-Ow; Tue, 26 Apr 2022 11:58:57 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#33007: 27.0.50; Proposal for function to edit and return
 string
References: <86pnwh4je8.fsf@HIDDEN> <83bm81xl84.fsf@HIDDEN>
 <20181011063321.GD27672@HIDDEN> <87lg74zk2k.fsf@HIDDEN>
 <87v8uybp1c.fsf@HIDDEN> <87pml43hoj.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAElBMVEVAQD5XVlSAf32v
 rqwnJiX///8cGdnKAAAAAWJLR0QF+G/pxwAAAAlwSFlzAAAOdAAADnQBaySz1gAAAAd0SU1FB+YE
 GgkfNsvc44wAAAFzSURBVDjLnZLtYcQgCIah5wDiZYBqOsAldgBs3X+m8mFs7vLv/JEAj8CLCnBZ
 SLqucaB3wYXhBM+JI34AeikkgVLKmeAE1VeOAyT39wPUsTEdPqzD8IK0TjCLzuVd/4XEsyYB4iNe
 gZt3Lbo9W3Yk5u6zt4IiIJEoGHPaL6psmaNkL7HNX5FEqPte3DwGSg70s6804zX7JiiSvtYzqOum
 ICPivX4GBtUOzB9yOgNIzw0j8O0RQJ2SDZBmbCK7/343EXo7MhoIeHAMbd0CW4YBIo63+t07033P
 ofMZfNRF4vnnkSn0JndmAB0Q5bYk6WRgXwX0+FO/OCYKnDJFBcVKdctoeiFygKHVBeUsIWJA6dlR
 gdyYtF+aAcCydAOsKbKHLWPxuAzgzw3UUUAWHwAcdE4FPC4gnkBvUsqMPp90DE58g4DjiQ3QrwCe
 AL8HUF/UFUSklPEKtI4pflZ1RDHSIK+AXoBPbvx1QK3O1x6dwyFigD8OqYZhEj8xqQAAACV0RVh0
 ZGF0ZTpjcmVhdGUAMjAyMi0wNC0yNlQwOTozMTo1NCswMDowMAETdhMAAAAldEVYdGRhdGU6bW9k
 aWZ5ADIwMjItMDQtMjZUMDk6MzE6NTQrMDA6MDBwTs6vAAAAAElFTkSuQmCC
X-Now-Playing: Shearwater's _Shearwater plays Bowie's Berlin Trilogy: Part
 1: Low_: "Art Decade"
Date: Tue, 26 Apr 2022 11:58:55 +0200
In-Reply-To: <87pml43hoj.fsf@HIDDEN> (Michael Heerdegen's message of "Tue, 26
 Apr 2022 00:46:20 +0200")
Message-ID: <871qxkjhcw.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Michael Heerdegen <michael_heerdegen@HIDDEN> writes: > do
 you think it would make sense to add a :setup-function key to > `string-edit'?
 That arg could then be used to manipulate the key > bindings or toggle modes
 and such things. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 33007
Cc: 33007 <at> debbugs.gnu.org, Jean Louis <bugs@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Michael Heerdegen <michael_heerdegen@HIDDEN> writes:

> do you think it would make sense to add a :setup-function key to
> `string-edit'?  That arg could then be used to manipulate the key
> bindings or toggle modes and such things.

Sure; go ahead and add that.

> Related question: Is it planned that this function will also be used to
> implement reading Elisp expressions from a buffer, or other things
> besides plain strings?

There's nothing planned, really.  :-)  Adding a variation to read a Lisp
form from a buffer would also be nice (which would signal an error if
the form isn't complete, much like `M-:' does these days).

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33007; Package emacs. Full text available.

Message received at 33007 <at> debbugs.gnu.org:


Received: (at 33007) by debbugs.gnu.org; 26 Apr 2022 09:56:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 26 05:56:21 2022
Received: from localhost ([127.0.0.1]:37095 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1njHvh-0005Iv-5p
	for submit <at> debbugs.gnu.org; Tue, 26 Apr 2022 05:56:21 -0400
Received: from quimby.gnus.org ([95.216.78.240]:58678)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1njHve-0005Ii-LH
 for 33007 <at> debbugs.gnu.org; Tue, 26 Apr 2022 05:56:19 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=MX6sHYoT0OnUYeKXltSOzZiE5avtnvzfRfqFuzKCvoc=; b=i1wY0Ht9IUESZCoWC3RB0M5eqn
 FYbZsI+r2g4DhHjjH3aPnl6A3S3zfGWXwwI8E45+0FaDZDx+Oa6H1PTs7CDh9vn2wsSexpSf1xuiI
 r1sT9K/iHw/GPL+9/jrzfEBPVrSD+8MAOkwaxGdYi0sqxRC8siekag7LEPRSKyHkkl98=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1njHvV-00073l-Mo; Tue, 26 Apr 2022 11:56:11 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#33007: 27.0.50; Proposal for function to edit and return
 string
References: <86pnwh4je8.fsf@HIDDEN> <83bm81xl84.fsf@HIDDEN>
 <20181011063321.GD27672@HIDDEN> <87lg74zk2k.fsf@HIDDEN>
 <87v8uybp1c.fsf@HIDDEN> <871qxlj293.fsf@HIDDEN>
 <875ymx7ga6.fsf@HIDDEN> <86pml5gp6m.fsf@HIDDEN>
 <87tuag3ikx.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAElBMVEVAQD5XVlSAf32v
 rqwnJiX///8cGdnKAAAAAWJLR0QF+G/pxwAAAAlwSFlzAAAOdAAADnQBaySz1gAAAAd0SU1FB+YE
 GgkfNsvc44wAAAFzSURBVDjLnZLtYcQgCIah5wDiZYBqOsAldgBs3X+m8mFs7vLv/JEAj8CLCnBZ
 SLqucaB3wYXhBM+JI34AeikkgVLKmeAE1VeOAyT39wPUsTEdPqzD8IK0TjCLzuVd/4XEsyYB4iNe
 gZt3Lbo9W3Yk5u6zt4IiIJEoGHPaL6psmaNkL7HNX5FEqPte3DwGSg70s6804zX7JiiSvtYzqOum
 ICPivX4GBtUOzB9yOgNIzw0j8O0RQJ2SDZBmbCK7/343EXo7MhoIeHAMbd0CW4YBIo63+t07033P
 ofMZfNRF4vnnkSn0JndmAB0Q5bYk6WRgXwX0+FO/OCYKnDJFBcVKdctoeiFygKHVBeUsIWJA6dlR
 gdyYtF+aAcCydAOsKbKHLWPxuAzgzw3UUUAWHwAcdE4FPC4gnkBvUsqMPp90DE58g4DjiQ3QrwCe
 AL8HUF/UFUSklPEKtI4pflZ1RDHSIK+AXoBPbvx1QK3O1x6dwyFigD8OqYZhEj8xqQAAACV0RVh0
 ZGF0ZTpjcmVhdGUAMjAyMi0wNC0yNlQwOTozMTo1NCswMDowMAETdhMAAAAldEVYdGRhdGU6bW9k
 aWZ5ADIwMjItMDQtMjZUMDk6MzE6NTQrMDA6MDBwTs6vAAAAAElFTkSuQmCC
X-Now-Playing: Shearwater's _Shearwater plays Bowie's Berlin Trilogy: Part
 1: Low_: "Art Decade"
Date: Tue, 26 Apr 2022 11:56:09 +0200
In-Reply-To: <87tuag3ikx.fsf@HIDDEN> (Michael Heerdegen's message of "Tue, 26
 Apr 2022 00:26:54 +0200")
Message-ID: <875ymwjhhi.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Michael Heerdegen <michael_heerdegen@HIDDEN> writes: >
 Additionally:
 we have enough room to include such instructions in the > buffer itself.
 There are many keybindings for aborting in use (also in > third party
 packages) like C-c ESC, C-c C-k, C-c C-a. [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 33007
Cc: 33007 <at> debbugs.gnu.org, Jean Louis <bugs@HIDDEN>,
 Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Michael Heerdegen <michael_heerdegen@HIDDEN> writes:

> Additionally: we have enough room to include such instructions in the
> buffer itself.  There are many keybindings for aborting in use (also in
> third party packages) like C-c ESC, C-c C-k, C-c C-a.  And when you need
> to know which one it was the message is long gone.  We could use the
> header-line, or the mode-line, or the buffer header used when using the
> :help-text key.

Putting the instructions into a header line might be the nicest solution
here...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33007; Package emacs. Full text available.

Message received at 33007 <at> debbugs.gnu.org:


Received: (at 33007) by debbugs.gnu.org; 26 Apr 2022 09:55:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 26 05:55:17 2022
Received: from localhost ([127.0.0.1]:37091 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1njHue-0005HB-SJ
	for submit <at> debbugs.gnu.org; Tue, 26 Apr 2022 05:55:17 -0400
Received: from quimby.gnus.org ([95.216.78.240]:58648)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1njHuc-0005Gr-Jg
 for 33007 <at> debbugs.gnu.org; Tue, 26 Apr 2022 05:55:15 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=0bcspJvklXWCeRHqYmEaoc1hiaDuTnHIDXlmOciJKAI=; b=N0Xw+uQdBu6jSHnncPZyF8zWC0
 wyoO35Mba631Sa/FvuG9Q/sIqyCDpRfcKzmuJ+iU157xjdnW5Pb160izJSq65Is5EiDqmUIpzPRtQ
 SBI57qAvgJoYXKWCtCbidzTn7DG/kSb7f7Y9EEm7aH5nBva6+2wUtCHoHL+1sFvVH+S0=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1njHuT-00073E-8U; Tue, 26 Apr 2022 11:55:07 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#33007: 27.0.50; Proposal for function to edit and return
 string
References: <86pnwh4je8.fsf@HIDDEN> <83bm81xl84.fsf@HIDDEN>
 <20181011063321.GD27672@HIDDEN> <87lg74zk2k.fsf@HIDDEN>
 <87v8uybp1c.fsf@HIDDEN> <871qxlj293.fsf@HIDDEN>
 <875ymx7ga6.fsf@HIDDEN> <86pml5gp6m.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAElBMVEVAQD5XVlSAf32v
 rqwnJiX///8cGdnKAAAAAWJLR0QF+G/pxwAAAAlwSFlzAAAOdAAADnQBaySz1gAAAAd0SU1FB+YE
 GgkfNsvc44wAAAFzSURBVDjLnZLtYcQgCIah5wDiZYBqOsAldgBs3X+m8mFs7vLv/JEAj8CLCnBZ
 SLqucaB3wYXhBM+JI34AeikkgVLKmeAE1VeOAyT39wPUsTEdPqzD8IK0TjCLzuVd/4XEsyYB4iNe
 gZt3Lbo9W3Yk5u6zt4IiIJEoGHPaL6psmaNkL7HNX5FEqPte3DwGSg70s6804zX7JiiSvtYzqOum
 ICPivX4GBtUOzB9yOgNIzw0j8O0RQJ2SDZBmbCK7/343EXo7MhoIeHAMbd0CW4YBIo63+t07033P
 ofMZfNRF4vnnkSn0JndmAB0Q5bYk6WRgXwX0+FO/OCYKnDJFBcVKdctoeiFygKHVBeUsIWJA6dlR
 gdyYtF+aAcCydAOsKbKHLWPxuAzgzw3UUUAWHwAcdE4FPC4gnkBvUsqMPp90DE58g4DjiQ3QrwCe
 AL8HUF/UFUSklPEKtI4pflZ1RDHSIK+AXoBPbvx1QK3O1x6dwyFigD8OqYZhEj8xqQAAACV0RVh0
 ZGF0ZTpjcmVhdGUAMjAyMi0wNC0yNlQwOTozMTo1NCswMDowMAETdhMAAAAldEVYdGRhdGU6bW9k
 aWZ5ADIwMjItMDQtMjZUMDk6MzE6NTQrMDA6MDBwTs6vAAAAAElFTkSuQmCC
X-Now-Playing: Shearwater's _Shearwater plays Bowie's Berlin Trilogy: Part
 1: Low_: "Warszawa"
Date: Tue, 26 Apr 2022 11:55:04 +0200
In-Reply-To: <86pml5gp6m.fsf@HIDDEN> (Juri Linkov's message of "Mon, 
 25 Apr 2022 18:42:53 +0300")
Message-ID: <87a6c8jhjb.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Juri Linkov <juri@HIDDEN> writes: > Also it would be
 nicer
 to pop up its buffer under the current window > (need to play with
 display-buffer
 parameters), and a good example > is display-buffer-below-selected (e.g.
 as used in dired-mar [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 33007
Cc: Michael Heerdegen <michael_heerdegen@HIDDEN>, 33007 <at> debbugs.gnu.org,
 Jean Louis <bugs@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Juri Linkov <juri@HIDDEN> writes:

> Also it would be nicer to pop up its buffer under the current window
> (need to play with display-buffer parameters), and a good example
> is display-buffer-below-selected (e.g. as used in dired-mark-pop-up).

I see that that function has only a single usage in Emacs, and after
reading half the doc string, I can see why.

If we want to use something like that more in Emacs, somebody should
write a function with a simpler interface.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33007; Package emacs. Full text available.

Message received at 33007 <at> debbugs.gnu.org:


Received: (at 33007) by debbugs.gnu.org; 26 Apr 2022 07:29:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 26 03:29:52 2022
Received: from localhost ([127.0.0.1]:36759 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1njFdw-0007bm-4g
	for submit <at> debbugs.gnu.org; Tue, 26 Apr 2022 03:29:52 -0400
Received: from relay1-d.mail.gandi.net ([217.70.183.193]:54483)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1njFdv-0007bY-7m
 for 33007 <at> debbugs.gnu.org; Tue, 26 Apr 2022 03:29:51 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by mail.gandi.net (Postfix) with ESMTPSA id 8E75E24000D;
 Tue, 26 Apr 2022 07:29:42 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#33007: 27.0.50; Proposal for function to edit and return
 string
Organization: LINKOV.NET
References: <86pnwh4je8.fsf@HIDDEN> <83bm81xl84.fsf@HIDDEN>
 <20181011063321.GD27672@HIDDEN> <87lg74zk2k.fsf@HIDDEN>
 <87v8uybp1c.fsf@HIDDEN> <871qxlj293.fsf@HIDDEN>
 <875ymx7ga6.fsf@HIDDEN> <86pml5gp6m.fsf@HIDDEN>
 <87tuag3ikx.fsf@HIDDEN>
Date: Tue, 26 Apr 2022 10:23:56 +0300
In-Reply-To: <87tuag3ikx.fsf@HIDDEN> (Michael Heerdegen's message of "Tue, 26
 Apr 2022 00:26:54 +0200")
Message-ID: <86zgk81h03.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33007
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 33007 <at> debbugs.gnu.org,
 Jean Louis <bugs@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>> Another problem is that currently the message doesn't say how
>> to abort changes:
>>
>>   Type C-c C-c when you’ve finished editing
>>
>> whereas for example the message in Wdired is:
>>
>>   Press C-c C-c when finished or C-c ESC to abort changes
>
> Additionally: we have enough room to include such instructions in the
> buffer itself.  There are many keybindings for aborting in use (also in
> third party packages) like C-c ESC, C-c C-k, C-c C-a.  And when you need
> to know which one it was the message is long gone.  We could use the
> header-line, or the mode-line, or the buffer header used when using the
> :help-text key.

Indeed.  I perceive the new function as emulation of the minibuffer.
And since the minibuffer has read-only area with prompt at the beginning,
read-string-from-buffer could add a similar header as well,
like e.g. header lines in the Completions buffer.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33007; Package emacs. Full text available.

Message received at 33007 <at> debbugs.gnu.org:


Received: (at 33007) by debbugs.gnu.org; 25 Apr 2022 22:47:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 18:47:01 2022
Received: from localhost ([127.0.0.1]:36297 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nj7Tw-0002Ze-QC
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 18:47:00 -0400
Received: from mout.web.de ([212.227.17.12]:32905)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1nj7Tu-0002ZP-MN
 for 33007 <at> debbugs.gnu.org; Mon, 25 Apr 2022 18:46:59 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1650926781;
 bh=XPve10JX6k3gTy0FAbj9fSAvX++NT53Li63JeCyFwBA=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=A4ecd9MG+ffTm0DWqOgJ69kI2HMt8myu1nJPTBqj4RVMfymrpDauvjfRk4S3hOnpG
 KafgNijZ+xF1UIL07ZOSrUiFYiEHyWSaoE4JQzfJmf27alqASqvsZwME8kkHBj2QCx
 enFb3S1rVJa1OrPG7WwUgZbGFgTruiNAxnpEnYGo=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([178.14.74.158]) by smtp.web.de (mrweb106
 [213.165.67.124]) with ESMTPSA (Nemesis) id 1MfKtN-1oOG2g0c03-00gh3k; Tue, 26
 Apr 2022 00:46:21 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#33007: 27.0.50; Proposal for function to edit and return
 string
References: <86pnwh4je8.fsf@HIDDEN> <83bm81xl84.fsf@HIDDEN>
 <20181011063321.GD27672@HIDDEN> <87lg74zk2k.fsf@HIDDEN>
 <87v8uybp1c.fsf@HIDDEN>
Date: Tue, 26 Apr 2022 00:46:20 +0200
In-Reply-To: <87v8uybp1c.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Sun,
 24 Apr 2022 15:15:43 +0200")
Message-ID: <87pml43hoj.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:PwurWPK6QgEAwdzSo0Fl5Ww/FjabhipMqjSbe8CXzlPfQDgm14I
 5NjN7sz8mNFzrLThy9ri3jwdnzD35Tcm6atx3d4uJa0j5/8Fh89GpIVqEQqTeE2ZtylOAaI
 lc/PYficSJbOvwsG76nYu/cx6CCudKU040YOYAq+7/KX3iTN5oFyypBv73K3hC3oNT7hNOu
 eGraYhV+KlXOvUMcXBroQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:MKLOC3ECOq4=:XZKsT26HK6vKWXrrWUhPpU
 DWzZR6MFL6ueai8ExOWQTLybN/cPOUdLv4hQ1eLlKHt3hgfEjo/LUcXEdhhOiwntYq4Tt3q7A
 ShS9cv6kCkN9GXzALu2L4iRVGQ7BxOENIPBcE1btCsbaoA78yThfmBRR6FechCN2cvqkeeYlP
 mAWF3sqAPZtXvns0nlnkvkFxRc1UwqCT/H3CWgttqs/YOZiUC+m9g32+bPeCFRylPz1CYfvwz
 IhfWiYn9Fb7No68jBjYx8FRHa+zIGfYxhZ7xE0X+cpnaYh/3N1qwvuHRivLs8rymWVu0zkOPX
 4oMA/kdk15quIGaS5qJOh0yMF7D/D7VJlyi9g5rlKQh0viqDeodkMuknrXmgWgmJu1ZVjBzmn
 DMItLvFGxL1n/Elrx+BcYqakg8xlwk2kS73OAjUp1R+VduWZGNe0QIgDa2qYbOdWUrGzh4Hv6
 Opa1odKNss7UMxDEObASpckIrCgJrbsGCk4vu2/25dGs9Q6Gr+VsbWy8ucB6R+GeIOqeEc+wm
 SOd7fHx5IAT1s+iX75zxa/YlKp7BcL7jrNo0bs+agWzy3PNf9M2h44n7LmlYJCmGUP72YNb9E
 /26ONksQK0h2Aa+zrIOCQhmOrUeorcSAvxBkuSoeixxwJZZKCTwkyfGe02d9hwRX9NaD5VzUP
 /NpqOrzm29DhWVv5Ek7vqAsYccxhH5CSZz3YdJyiB05gUSYA808lRaRFvhnrB7hbWOIpsQjLG
 gKqOzXe6desNUVdpM50jhAJkmfICsdquHVJF/KLf4d2WoL2HJgfQawM8R4Lb84mDEIVrfnb0W
 zhCmirdHHLTcN5ry7Cbz4xT154JyxuK2Rl/lggXrXWCzr8yVXWA60/d8ibNU1bBrWHZHOB7BL
 6op8MpRzK3OAtGTViaZqErX6vvXmcXkiBnMm5xBiLdD5MX6+uAp7EbGAUn72sDXgt44wsnE8o
 uSSok8x1u2hKq8yUau4QTK30cQAu6qoRxd90z7HDGfeUutGIUgrPT1mH1K7l2b/CwoFGojw03
 3odpzn5Q/dHAlNS/ITxxCYvfjx3oUiAFREyWrd8iDHp3wQtRoeGFASLsRWU8hY928vfYLa7qi
 p1XjsZ7ReQ4hTc=
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 33007
Cc: 33007 <at> debbugs.gnu.org, Jean Louis <bugs@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello Lars,

do you think it would make sense to add a :setup-function key to
`string-edit'?  That arg could then be used to manipulate the key
bindings or toggle modes and such things.

Related question: Is it planned that this function will also be used to
implement reading Elisp expressions from a buffer, or other things
besides plain strings?

Thanks,

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33007; Package emacs. Full text available.

Message received at 33007 <at> debbugs.gnu.org:


Received: (at 33007) by debbugs.gnu.org; 25 Apr 2022 22:27:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 18:27:35 2022
Received: from localhost ([127.0.0.1]:36282 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nj7B9-00026E-OD
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 18:27:35 -0400
Received: from mout.web.de ([212.227.15.3]:39407)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1nj7B7-00025y-AN
 for 33007 <at> debbugs.gnu.org; Mon, 25 Apr 2022 18:27:34 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1650925615;
 bh=AOB+Fe6t8YvyV5a1lB9Gxkl7hE6nknamhBdVFJXLCh0=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=Mxh2LWg5NWDtir1GSVi+v9niYep213RZSYHTSWBzmdW0w31C+sXSt76v1+Pij3bbF
 kKEkvVZrirbJCvefJayDM8ZXtmgmS6OhlUXRyw9g8o9l43fP7DJsylphrHGcHLK9qY
 oTJ92cLrU+UpCPUehqlrIaDK/nT6M0pS3RMuytIg=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([178.14.74.158]) by smtp.web.de (mrweb005
 [213.165.67.108]) with ESMTPSA (Nemesis) id 1M4bUg-1nhTGz0f9q-001nin; Tue, 26
 Apr 2022 00:26:55 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#33007: 27.0.50; Proposal for function to edit and return
 string
References: <86pnwh4je8.fsf@HIDDEN> <83bm81xl84.fsf@HIDDEN>
 <20181011063321.GD27672@HIDDEN> <87lg74zk2k.fsf@HIDDEN>
 <87v8uybp1c.fsf@HIDDEN> <871qxlj293.fsf@HIDDEN>
 <875ymx7ga6.fsf@HIDDEN> <86pml5gp6m.fsf@HIDDEN>
Date: Tue, 26 Apr 2022 00:26:54 +0200
In-Reply-To: <86pml5gp6m.fsf@HIDDEN> (Juri Linkov's message of "Mon, 
 25 Apr 2022 18:42:53 +0300")
Message-ID: <87tuag3ikx.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:GsBDeOGyclFA+7rISivP/VX/TGB15trH1XuanCIfvrXbDsgBp2J
 JovmOeXpkEJb5VkQx4I+R58Fnx5ce8YKda4cj9Dx0GZCEgavNhyjfCZpH1wRMFGbMEzBgW5
 22vjz1qfOW6J35iy8TMvAoCK2k+1OlFK0iR+rc996e87LfHAYWdkaOlIqjF0+szcgce3CwB
 pl9u7xIUc800b4YXjUcnQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:YfkwkwJ7MqM=:92nCzJ/qbzexAbvFiJctMX
 DppuDE/qAUL32ZN8TBpRQIxcGNiEJTM7eNbKXJpg9gTXd2UHiXBjopYwWNRUKScWWbw01LBTS
 +OoSW+Pb8+gG/tq8qVhOWx9sFIZSDqloVJpxw/WUfLlt1gcqWUTjI+/TFFzPXq6LrLOpjR9iv
 K7jiffGaQy3JChsWCzCupEndVgWPXXTdxsbBfugTU9jzq1pOe3gKroJib6jJ6L+/owL4oSNbi
 AOJswKs97rur6GjcXweohQu5SHPzdmpemoYzJa/Om1/+LueA8yPT28iTJwY9jCSishjO2ZdLH
 jy6a/XaAVZFw3O7biUhfty4GQL4lPJQJZMKiFj8KnADeh24OIRpJ7CC5/3MCY4b0vno+4zBvz
 MfKODVYKzKzXnDzsrLDHYh+xDlfvLwA24FbW5Evn2hLrjPAsb9YnPMj+wXASFhZjMlDO4bcXY
 gJi71xLMCUtmEawYaetCMESVG15h61RBm4uk8uMLidZvPQnQD+NyC10aXwHtbpZSE6v1ZVD9d
 LzKotUjBhiq157QjPDrsMdB4YzO4MvnPZAaK66oqntKnk5Z+1ffOgAbLfCI5xLIWSjJj7IjRE
 mVYHE56r3n+u2AMk5So+ZU7YeDM56/7uMOwtaCjgQHcC0pPtSmRh1L5TCd1lP/cJeh5dMnS79
 w+IYaapsZyPPMl8LzZJHlYV2sZTG1u0VKtscEkZ7p09oSJQHGKTSF3/BQ3Al7W0NEPsgZfARZ
 Zsc5l77UORDAcKwTdSL3GSg8SAqYgUF/jU8w+PN3dN8eYVyCtcY8Xzmjic49UY98EiRmP467T
 KKdhkG2G1xJRhyVJev1+XqRfMbxK2ghX3mo856c++TQv65+PAjuUk+0stdgko8lvoIb91ZGEN
 om8q8TH2YLPDUF+0dQfZwVcg5MwyorMN7ItHWWuaEx3+B3hxZuxGkA84k2WUqoZDhccLqATn0
 UxfC2Q2Q2BQJnFiOmIPnCFsSIhWKwMFdmkpNWchu6/nIbG3u3nZ+AYz/MxFwowvTYFzQks9YP
 6B5BHp80uUD7HRFRAOCnSkKpq/TBFlr5kDx5/n0LPpyeGz7tH+byBcaz+MCh2ofiz2vaBp6Yi
 XmguODdLPTrjHA=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33007
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 33007 <at> debbugs.gnu.org,
 Jean Louis <bugs@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Juri Linkov <juri@HIDDEN> writes:

> Another problem is that currently the message doesn't say how
> to abort changes:
>
>   Type C-c C-c when you=E2=80=99ve finished editing
>
> whereas for example the message in Wdired is:
>
>   Press C-c C-c when finished or C-c ESC to abort changes

Additionally: we have enough room to include such instructions in the
buffer itself.  There are many keybindings for aborting in use (also in
third party packages) like C-c ESC, C-c C-k, C-c C-a.  And when you need
to know which one it was the message is long gone.  We could use the
header-line, or the mode-line, or the buffer header used when using the
:help-text key.

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33007; Package emacs. Full text available.

Message received at 33007 <at> debbugs.gnu.org:


Received: (at 33007) by debbugs.gnu.org; 25 Apr 2022 15:45:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 11:45:40 2022
Received: from localhost ([127.0.0.1]:35897 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nj0uC-0006t1-Bk
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 11:45:40 -0400
Received: from relay2-d.mail.gandi.net ([217.70.183.194]:40059)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1nj0u8-0006sH-0D
 for 33007 <at> debbugs.gnu.org; Mon, 25 Apr 2022 11:45:36 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by mail.gandi.net (Postfix) with ESMTPSA id 6BB2A40006;
 Mon, 25 Apr 2022 15:45:28 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#33007: 27.0.50; Proposal for function to edit and return
 string
Organization: LINKOV.NET
References: <86pnwh4je8.fsf@HIDDEN> <83bm81xl84.fsf@HIDDEN>
 <20181011063321.GD27672@HIDDEN> <87lg74zk2k.fsf@HIDDEN>
 <87v8uybp1c.fsf@HIDDEN> <871qxlj293.fsf@HIDDEN>
 <875ymx7ga6.fsf@HIDDEN>
Date: Mon, 25 Apr 2022 18:42:53 +0300
In-Reply-To: <875ymx7ga6.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Mon,
 25 Apr 2022 09:50:41 +0200")
Message-ID: <86pml5gp6m.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33007
Cc: Michael Heerdegen <michael_heerdegen@HIDDEN>, 33007 <at> debbugs.gnu.org,
 Jean Louis <bugs@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>> One thing I found: at the end of `string-edit', you have
>>
>> #+begin_src emacs-lisp
>> (message "%S" (substitute-command-keys
>>                  "Type `C-c C-c' when you've finished editing"))
>> #+end_src
>>
>> That should be "%s" - we don't want a quoted, `read'able string
>> messaged.
>
> Yup; fixed now (and I made it use the \[...] thing at the same time).

Another problem is that currently the message doesn't say how
to abort changes:

  Type C-c C-c when you’ve finished editing

whereas for example the message in Wdired is:

  Press C-c C-c when finished or C-c ESC to abort changes

>> Second: I find the name of `read-string-from-buffer' a bit misleading -
>> what about `edit-string-in-buffer'?  The emphasis should be on "edit",
>> because a string is already present, the function doesn't just prompt
>> for a (new) string.
>
> Yes, I was waffling between various names while I was typing the file,
> and renamed the function to read-string-from-buffer while writing the
> documentation.  :-)  I thought it might make sense from a discovery
> point of view to have something that people who looked for `read-string'
> would find easily (and could plug into existing functions easily).
>
> But this function will probably mostly be used for editing strings, as
> you point out, so `edit-string-in-buffer' sounds like a good idea to me.
> Anybody have any further opinions before I rename?

I think read-string-from-buffer is already a nice name,
and when its default is empty string, then it really reads
a new string from scratch.

Also it would be nicer to pop up its buffer under the current window
(need to play with display-buffer parameters), and a good example
is display-buffer-below-selected (e.g. as used in dired-mark-pop-up).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33007; Package emacs. Full text available.

Message received at 33007 <at> debbugs.gnu.org:


Received: (at 33007) by debbugs.gnu.org; 25 Apr 2022 07:50:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 03:50:56 2022
Received: from localhost ([127.0.0.1]:33066 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nitUl-0001ow-Rg
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 03:50:56 -0400
Received: from quimby.gnus.org ([95.216.78.240]:47542)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nitUk-0001oj-9A
 for 33007 <at> debbugs.gnu.org; Mon, 25 Apr 2022 03:50:54 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=haqvw33GRTKEomRJfhPDQVSlQ0TqrnlgTzsP2/y/8mE=; b=R3A+d/Fvz+PAwst4jlG7XLksnl
 p/radHf0sIUx542KBRzWQQJmwHf2bHrEgs9dvKN1VB//RWEVAdY1aaZLtb7gHykNvdrhmb452cLBv
 IXc2IGvZ0uCkDDoWFLCp2kIfrc8ATxLAbu9nEpvwHNIXpP5/j8wVSKuAhBZ2Ut2WBGjM=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nitUa-0007xr-PK; Mon, 25 Apr 2022 09:50:46 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#33007: 27.0.50; Proposal for function to edit and return
 string
References: <86pnwh4je8.fsf@HIDDEN> <83bm81xl84.fsf@HIDDEN>
 <20181011063321.GD27672@HIDDEN> <87lg74zk2k.fsf@HIDDEN>
 <87v8uybp1c.fsf@HIDDEN> <871qxlj293.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAALVBMVEUEAgMnEyVLGQ5k
 LRwtDQqGOCK0bkSfWTPFdknclF9qNziPVkr7voUpKSr///8QDAzYAAAAAWJLR0QOb70wTwAAAAd0
 SU1FB+YEGQcZGrd1qg0AAAFxSURBVDjL7dHNTsJAEAfwAZZ7eyXZBNcSr0hrN9FLLUtIvAJGrxLK
 hzeaFDiTtPACwCSe9AlMVF7CAzxA38WVmLC2HAxn57LJ/LL/mewCHK4M/MPfIXMsZMvEOQj5BxDi
 0NVauyjcYrovzqYmbzVTfVIN/GAW+fsx5OfM9RdjnAo3BU4dw6gMbirKAbtjASk5CRA3Ihca1htP
 7lW/+jCx8/jeTUGbe4j+/dJKQB7n4RMiLo0EZCc4kn1sp7a6w0D2V37iiTXC55NPxEUKCrVeJbRx
 kXisDBSqY7+E2LGSAIQHfVw0TgC2oKsALp91X6xrDeJt/BvYRcsS5xpQKRslivBeZLlDDfSY0lgB
 hzAmagMZRamuRAnhXq4NeyCHxzFVfst0hWm5PQkySlc25swgpOS9yhtbnW72YFeYwWzvWQJV9gW4
 HTLG7O4p7NZVYclMFnRNCXKIGuX5Db6Kmt9A43ijgLcOvFF5FwWHS9PguPoC7oVs+F7ddOsAAAAl
 dEVYdGRhdGU6Y3JlYXRlADIwMjItMDQtMjVUMDc6MjU6MjYrMDA6MDCHAqnbAAAAJXRFWHRkYXRl
 Om1vZGlmeQAyMDIyLTA0LTI1VDA3OjI1OjI2KzAwOjAw9l8RZwAAAABJRU5ErkJggg==
X-Now-Playing: Prince's _Sign 'O' the Times (4): Vault Tracks I_: "Strange
 Relationship"
Date: Mon, 25 Apr 2022 09:50:41 +0200
In-Reply-To: <871qxlj293.fsf@HIDDEN> (Michael Heerdegen's message of "Mon, 25
 Apr 2022 05:00:40 +0200")
Message-ID: <875ymx7ga6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Michael Heerdegen <michael_heerdegen@HIDDEN> writes: > One
 thing I found: at the end of `string-edit', you have > > #+begin_src emacs-lisp
 > (message "%S" (substitute-command-keys > "Type `C-c C-c' when you've
 finished editing")) > #+end_src > > That sh [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 33007
Cc: Eli Zaretskii <eliz@HIDDEN>, 33007 <at> debbugs.gnu.org,
 Jean Louis <bugs@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Michael Heerdegen <michael_heerdegen@HIDDEN> writes:

> One thing I found: at the end of `string-edit', you have
>
> #+begin_src emacs-lisp
> (message "%S" (substitute-command-keys
>                  "Type `C-c C-c' when you've finished editing"))
> #+end_src
>
> That should be "%s" - we don't want a quoted, `read'able string
> messaged.

Yup; fixed now (and I made it use the \[...] thing at the same time).

> Second: I find the name of `read-string-from-buffer' a bit misleading -
> what about `edit-string-in-buffer'?  The emphasis should be on "edit",
> because a string is already present, the function doesn't just prompt
> for a (new) string.

Yes, I was waffling between various names while I was typing the file,
and renamed the function to read-string-from-buffer while writing the
documentation.  :-)  I thought it might make sense from a discovery
point of view to have something that people who looked for `read-string'
would find easily (and could plug into existing functions easily).

But this function will probably mostly be used for editing strings, as
you point out, so `edit-string-in-buffer' sounds like a good idea to me.
Anybody have any further opinions before I rename?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33007; Package emacs. Full text available.

Message received at 33007 <at> debbugs.gnu.org:


Received: (at 33007) by debbugs.gnu.org; 25 Apr 2022 03:01:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 24 23:01:21 2022
Received: from localhost ([127.0.0.1]:60504 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nioyX-0006G0-Dk
	for submit <at> debbugs.gnu.org; Sun, 24 Apr 2022 23:01:21 -0400
Received: from mout.web.de ([212.227.15.14]:36013)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1nioyV-0006Fl-MB
 for 33007 <at> debbugs.gnu.org; Sun, 24 Apr 2022 23:01:20 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1650855641;
 bh=s0ObLppACX1dfDrwjFwgAJ+r/Br+5pL5hu640CdkvuU=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=CpzyTCNu+VhKmIzI3JgQXboKuRvevHA2EPx1k0XReiCgjR/9SELnkooq6atB4/ZxA
 udQJoxpz32+1FTAjQhf70hxta2jwjuJrC+tKyrw54JCk93N8BabYVuQfJXWaU/0M3z
 TtEL/zK4D+hj5OblkHO0bpIYpcJdWvKf4S+AltqU=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([178.14.74.158]) by smtp.web.de (mrweb006
 [213.165.67.108]) with ESMTPSA (Nemesis) id 1Myezp-1o6PBc1LR7-00yaUl; Mon, 25
 Apr 2022 05:00:41 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#33007: 27.0.50; Proposal for function to edit and return
 string
References: <86pnwh4je8.fsf@HIDDEN> <83bm81xl84.fsf@HIDDEN>
 <20181011063321.GD27672@HIDDEN> <87lg74zk2k.fsf@HIDDEN>
 <87v8uybp1c.fsf@HIDDEN>
Date: Mon, 25 Apr 2022 05:00:40 +0200
In-Reply-To: <87v8uybp1c.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Sun,
 24 Apr 2022 15:15:43 +0200")
Message-ID: <871qxlj293.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:1U4Utck7ExeG1vNRDBZHRQ8YPb4ZYlLVwMxVG9bdGTpy1gCyF+i
 UVTFE8yrRlajy7gZm/SZUriMc8ygStTl1CbjQIA6fXqc9h1xCqQOzkPn3w0riBE0aDSJIB5
 IKeuKa/OBgzrYbU4LdJ6MAk/QT2v0oFAbjVtrvxme02eHCljuaKenT079abcTqEQVxXsxCs
 H7yNtBcShX/MJ2BCZ0Zrw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:qWDjnJ1ZK78=:tgVy63FD2Hy9n7o+JdHr8P
 toODDxPept1BrAH0reHybQMdQ1+18jkmVaKNCXcsYTPTxhFO8njfW/FA7fyqw9YqK3C9gpm5l
 82F0/fsYR6PfYCEPg91AHyvryiiHz4H4phvfJ8nXD1vhrs9FInYbX2+wjsx52u+POtZ0KEZa7
 aOPSd4N64zG4GLeehOH6Gtlbh9pHuKS93tohHL2YzPCRsj59zA9u4RbBH7zWydkkYK8rGbSIx
 WFyNT28YZDQTDT/sQ6vnazwcdmBD+1KU8rs4UCQ2y00pU6OzUNrlow+fDFQ2y0mrQc+QQq79B
 EP7DFO3GnSoZZjfSNFgqoMP2wQbeEeYiUMZeCniBn/dEjvPjRh4TrqwgKMOtl/dQyra/75e1I
 KeMNHG+VXX+mNTwQOR8dXhe/W/x6koA2PZnI3rlarq7AnHNp7FU34eY7uOkDR0FbRT2O1k8Qb
 4Vy7hiK/k9tm9VTE1DOXVElfPPUW18sQVfR0KwWjZObrHXOHhmQTc5jQWHiIwIwmgHhljK9xw
 3asS3zkD1ezRSermZ7k7Fpx6lQc1P2aKQSbuPi21rUryJ7e4SovXTNo14QzPMrK576Cv95690
 Pkrc0K7UozXZ+0jUzA6etEBPvaUieEozWCWogRfnpHKRWSEnIMzBbdO6ckx9fNBS9P99KjizK
 +EKBieSYk272j6w547/pBPAOr6TxktP1W3BRijUAVgjakqi6qf8Q6BofvQTH4ciV135c0DUw6
 C9viWcXS3OADX5VqWsmfbyTbwbv4nkpqUc3WM7HtsTJv08TgR7XVeD0ePpSLsSV9jf7hZlhX9
 SYpbAwRWC5AbDuTiPbZbJ1sDAxTDB5+0r+c5jvCVBJJAAnAb3pkWJVJQ6yW2v495FQ7VutqtG
 jxV9Y4CS36iUo1bcj0QNk0tmr8YDqGtRYlUQBPfRMIB72kSlFlfzB4tvtC7TPP6pNdEVcQMA1
 2rtyL49xskV9zD+phjQCRS7uHd7z4ZvBbIRKns8lwPruG+YaEO7nxDcVQPCLJLA8DTJ/4FjK6
 CCyDfbXGq2BSVpx/3u20VpSU0qAgw3kZq4dWfeX3WJH6hU7/mXIxl0//pnZiH5Yufvg9uiswA
 MQ4qU+beha+kCc=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33007
Cc: Eli Zaretskii <eliz@HIDDEN>, 33007 <at> debbugs.gnu.org,
 Jean Louis <bugs@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> I've now added this to Emacs 29 (as well as a non-modal version with a
> callback instead of a recursive edit).

Cool - thank you very much.  I tried it shortly, and it works for me.

One thing I found: at the end of `string-edit', you have

#+begin_src emacs-lisp
(message "%S" (substitute-command-keys
                 "Type `C-c C-c' when you've finished editing"))
#+end_src

That should be "%s" - we don't want a quoted, `read'able string
messaged.

Second: I find the name of `read-string-from-buffer' a bit misleading -
what about `edit-string-in-buffer'?  The emphasis should be on "edit",
because a string is already present, the function doesn't just prompt
for a (new) string.

Thanks,

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33007; Package emacs. Full text available.
bug marked as fixed in version 29.1, send any further explanations to 33007 <at> debbugs.gnu.org and Jean Louis <bugs@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 33007 <at> debbugs.gnu.org:


Received: (at 33007) by debbugs.gnu.org; 24 Apr 2022 13:15:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 24 09:15:55 2022
Received: from localhost ([127.0.0.1]:57872 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nic5j-0000nK-1t
	for submit <at> debbugs.gnu.org; Sun, 24 Apr 2022 09:15:55 -0400
Received: from quimby.gnus.org ([95.216.78.240]:40016)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nic5i-0000n6-73
 for 33007 <at> debbugs.gnu.org; Sun, 24 Apr 2022 09:15:54 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=S1aWu+0PePuaYcuaEeLRU2w3xboL2pZuH1eYlcjp0MQ=; b=urD/7qhZPujXrlu6SDO+uYkEmr
 HwRK35dXUm3X0fNGuUJ2A2gplGEuZcp+7SBm/whqvp0E3G9bkHLO3f3S6ztOS0ctWVsX2ZdRTb8Sl
 Krva0yxpVWT91IdhS4LEdrDL21viwFFCWFnQCWN0oVIXy/l2VHsHhnS6bDPcHWp6JMfc=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nic5Y-0006Tm-Ak; Sun, 24 Apr 2022 15:15:46 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#33007: 27.0.50; Proposal for function to edit and return
 string
References: <86pnwh4je8.fsf@HIDDEN> <83bm81xl84.fsf@HIDDEN>
 <20181011063321.GD27672@HIDDEN> <87lg74zk2k.fsf@HIDDEN>
X-Now-Playing: The Bug's _In Blue_: "Come"
Date: Sun, 24 Apr 2022 15:15:43 +0200
In-Reply-To: <87lg74zk2k.fsf@HIDDEN> (Michael Heerdegen's message of "Thu, 11
 Oct 2018 15:31:15 +0200")
Message-ID: <87v8uybp1c.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Michael Heerdegen <michael_heerdegen@HIDDEN> writes: >>
 Something
 like this below shall become read-from-buffer [...] > > I agree that such
 an interface would be useful for Emacs. I think it > already has been
 reinvented multiple times in Emacs itself. [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 33007
Cc: Eli Zaretskii <eliz@HIDDEN>, 33007 <at> debbugs.gnu.org,
 Jean Louis <bugs@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Michael Heerdegen <michael_heerdegen@HIDDEN> writes:

>> Something like this below shall become read-from-buffer [...]
>
> I agree that such an interface would be useful for Emacs.  I think it
> already has been reinvented multiple times in Emacs itself.  I invented
> it myself.
>
> Some minor thoughts: The input buffer should be more controllable: modes
> and keymap shouldn't be fixed.  Also, it should be possible to prefill
> the buffer with a string describing what the user is expected to do, and
> which is ignored after the user has finished.

I've now added this to Emacs 29 (as well as a non-modal version with a
callback instead of a recursive edit).

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33007; Package emacs. Full text available.

Message received at 33007 <at> debbugs.gnu.org:


Received: (at 33007) by debbugs.gnu.org; 17 Oct 2018 15:39:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 17 11:39:52 2018
Received: from localhost ([127.0.0.1]:55511 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gCnvM-00055n-Gk
	for submit <at> debbugs.gnu.org; Wed, 17 Oct 2018 11:39:52 -0400
Received: from mout.web.de ([212.227.17.12]:33581)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1gCnvK-00055Z-Tb
 for 33007 <at> debbugs.gnu.org; Wed, 17 Oct 2018 11:39:51 -0400
Received: from drachen.dragon ([94.218.210.177]) by smtp.web.de (mrweb101
 [213.165.67.124]) with ESMTPSA (Nemesis) id 0MWAwH-1gAHlB3se9-00XIil; Wed, 17
 Oct 2018 17:39:05 +0200
Received: from drachen.dragon ([94.218.210.177]) by smtp.web.de (mrweb101
 [213.165.67.124]) with ESMTPSA (Nemesis) id 0MWAwH-1gAHlB3se9-00XIil; Wed, 17
 Oct 2018 17:39:05 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#33007: 27.0.50;
 Proposal for function to edit and return string
References: <86pnwh4je8.fsf@HIDDEN>> <83bm81xl84.fsf@HIDDEN>
 <20181011063321.GD27672@HIDDEN>>
 <87lg74zk2k.fsf@HIDDEN>> <834ldsy31m.fsf@HIDDEN>>
 <ff9d53f8-857a-4e95-af38-65c4fdc1ecde@default>
 <87efcrazrs.fsf@HIDDEN>
 <6a27b968-1307-44f2-b335-cde4ef51159b@default>
 <87pnw992hn.fsf@HIDDEN>
 <eb035ac5-5eac-4071-82c6-1361dda892ec@default>
Date: Wed, 17 Oct 2018 17:39:02 +0200
In-Reply-To: <eb035ac5-5eac-4071-82c6-1361dda892ec@default> (Drew Adams's
 message of "Tue, 16 Oct 2018 16:05:22 -0700 (PDT)")
Message-ID: <87ftx4eg6h.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:xUH3mvU8AzEDIqtmkGvIQItaNrdPhcvQIbHv4HPNPndOJPpi3g8
 R1+2Jo8mNuUvj0JDcWdFKylzOLFqTJNO/Ekms6IB2JE6NPnPVf6bzoAC5zWtqAevkMvkCgT
 l3hRoFk3ta5KGGYodrmSnzp3YTeSfMWesT0ZmZUnxRLxiR0dh4inB+yL7r7HdrCdlHyU9dL
 D4q+VyRkLTsdLuZszOe+w==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V01:K0:FNGNR9DNclY=:Rxx9njAUG7WSdvan1LmzDq
 UFfQNuEShdZqORgCBO/bQv41rMvMZM3ZfTE53s0UP5b82PC39GDCcJEFBu4pbQfuzJ1od0/Cb
 nFncswerZp/nznXUDkTpxoy+jVBJ6SNIaBNwzqotA7jAtCMv10cn5gBIAjk2lX8Iokv4QSjhi
 1C5T30zuQ2+vuh+hmILyemLOJuHsCxlS98s7kgAn2M57I3NVsdzJa3fsGVlccSVEMbDpXd9zR
 Ot8K22qEthBd44JiYlQy65SkFzdAJw+j3JH0S5tH4cUxnKBWk+vWa//jTCnjMJgz6Y8KTXWiZ
 /BEqG/Y+/EHHFCLHoQoWjjeMW5z0PSc4ewx69fdFoHszFHhfouPlIFhT3wmGXGjf5w37u4GmO
 EKZY8EnJPFdmx0p0cUXXRVs0Xt37DWdqcg5Gnww3g/pH7PJYOjJPMN1b7uSGujdWpZoJyERcq
 bvEqkc9/+LEkt0GZOmJx0z4LlAvlKHRyYCpZKaIZcDvpOVdWpxWIhBsBZBQutgsiaY9oMuq/V
 m/j/AJN8CBO2XHAklR1kQvSnqlpJ/AaXecRYC1DYPWaraHVbC9/AL/JkrwBVfgaDZE6VOJDWQ
 vHkCIfilLH+ZuOOV1hpnipnIwHwZWL75E7FpmYMpBQ7OozICSrGCRN66g7XLOQ1r5vLnJq8q7
 Fq6AU4fUr2O9l6ub4SPC5dCLPKwzwyECtikv5Jb3WarzXuE5HJ/hMFqqsvDqzytT0tnxdyXXu
 Fyg5+bHqEMeZoEMofHvf7Z0vGSW+6V2u/ZC/BL0a7W8vOh0ZUia1QrSWoiSQduNPK8vFdDUKi
 IC8+KxTgsGST6kk1Ee/0O3kJ8HftRbxdkM0Obd7SQUde3XLLao=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33007
Cc: 33007 <at> debbugs.gnu.org, bugs@HIDDEN, Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Drew Adams <drew.adams@HIDDEN> writes:

> > The new arguments should be the same as currently for the function
> > display-buffer:
> > 
> >   BUFFER-OR-NAME - the name of the editing buffer;
> >   ACTION - display action like display-buffer-below-selected or
> >   display-buffer-at-bottom.
>
> I don't see it like that. I don't see it like
> `read-from-minibuffer'. I don't see
> it as modal, requiring you to edit and return without doing other things
> in between. To me, this is not about creating something similar to a
> minibuffer interaction.
>
> I instead see it like what `M-x report-emacs-bug' does, followed by
> `C-c C-c': [...]

I would want it to cover both requirements.  It would be nice if
there would also be a front-end like `read-from-minibuffer'.  Code can
be shared between the two.

What may also make sense: Emacs is prompting for user input using the
minibuffer.  User can hit a key if he wants to give large input or may
want to use elisp mode or whatever - and a buffer appears accepting
input, replacing the minibuffer.  User hits C-c C-c when done.


Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33007; Package emacs. Full text available.

Message received at 33007 <at> debbugs.gnu.org:


Received: (at 33007) by debbugs.gnu.org; 16 Oct 2018 23:05:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 16 19:05:36 2018
Received: from localhost ([127.0.0.1]:54103 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gCYP8-0007CW-OM
	for submit <at> debbugs.gnu.org; Tue, 16 Oct 2018 19:05:34 -0400
Received: from userp2120.oracle.com ([156.151.31.85]:43782)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1gCYP7-0007CG-08
 for 33007 <at> debbugs.gnu.org; Tue, 16 Oct 2018 19:05:33 -0400
Received: from pps.filterd (userp2120.oracle.com [127.0.0.1])
 by userp2120.oracle.com (8.16.0.22/8.16.0.22) with SMTP id w9GN48gA029797;
 Tue, 16 Oct 2018 23:05:27 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=mime-version :
 message-id : date : from : sender : to : cc : subject : references :
 in-reply-to : content-type : content-transfer-encoding; s=corp-2018-07-02;
 bh=FkWCqSTb20ErxEVLzJ2DdiQya0ObJfp53lrFCUYFxMA=;
 b=H6J8YX5RVZh2rDhTnlfF/tMK+8ir/u4gqfksMGV5DLQVajFu0ULPTG8KzWAa+wPjVJuj
 xGAAPQen0RD+kyQ8OGGEilyG3DDTJcBuHJWASYUQW8rUQG6o1fDB1kEjCeBDObkXIXyv
 PWnBjix7ad6KtxtjAkiTWLgBduthQRLlMG2JpzxsYnpI6Q1pFDDLvQEl0QGYdQE6vBtP
 rUdCWyeOMmsjNFCCd+OqjtecLiRpfZvuQQNPaFe/3qzaFlkdNrrMo6gLe67lgX6xvnJ3
 bkN2m0JVJlK63KFOAp7wUkCqvTLcvzGIkQR4ieUaRmCDECetHUSdbEjWLuPnb4xp8QV2 6w== 
Received: from aserv0022.oracle.com (aserv0022.oracle.com [141.146.126.234])
 by userp2120.oracle.com with ESMTP id 2n39brbkjp-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Tue, 16 Oct 2018 23:05:27 +0000
Received: from userv0121.oracle.com (userv0121.oracle.com [156.151.31.72])
 by aserv0022.oracle.com (8.14.4/8.14.4) with ESMTP id w9GN5P85014358
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Tue, 16 Oct 2018 23:05:25 GMT
Received: from abhmp0013.oracle.com (abhmp0013.oracle.com [141.146.116.19])
 by userv0121.oracle.com (8.14.4/8.13.8) with ESMTP id w9GN5OsT002454;
 Tue, 16 Oct 2018 23:05:24 GMT
MIME-Version: 1.0
Message-ID: <eb035ac5-5eac-4071-82c6-1361dda892ec@default>
Date: Tue, 16 Oct 2018 16:05:22 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: RE: bug#33007: 27.0.50; Proposal for function to edit and return
 string
References: <86pnwh4je8.fsf@HIDDEN>> <83bm81xl84.fsf@HIDDEN>
 <20181011063321.GD27672@HIDDEN>> <87lg74zk2k.fsf@HIDDEN>>
 <834ldsy31m.fsf@HIDDEN>> <ff9d53f8-857a-4e95-af38-65c4fdc1ecde@default>
 <87efcrazrs.fsf@HIDDEN>
 <6a27b968-1307-44f2-b335-cde4ef51159b@default>
 <87pnw992hn.fsf@HIDDEN>
In-Reply-To: <87pnw992hn.fsf@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 16.0.4735.0 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Proofpoint-Virus-Version: vendor=nai engine=5900 definitions=9048
 signatures=668706
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=0
 malwarescore=0
 phishscore=0 bulkscore=0 spamscore=0 mlxscore=0 mlxlogscore=999
 adultscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.0.1-1807170000 definitions=main-1810160192
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 33007
Cc: Michael Heerdegen <michael_heerdegen@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>,
 33007 <at> debbugs.gnu.org, bugs@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> > * what kind of popping up of the editing buffer
> > * what to name the editing buffer
> > * what kind of operation to process the edited text -
> >    a function (e.g. `read' in the case of editing a bookmark
> >    record, `read-string' in some other contexts, etc.).
> >    Maybe `read-string' by default?
>=20
> read-from-minibuffer has the following arguments.  Let's see which ones
> should remain for the new function with a name like read-from-buffer
> that will read from the editing buffer:
>=20
>   PROMPT - probably necessary to insert some explanatory text, such as
>   for example the text inserted at the top of the *Completions* buffer:
>   "Click on a completion to select it.
>    In this buffer, type RET to select the completion near point.
>    Possible completions are:"
>=20
>   INITIAL-CONTENTS - an obsolete alternative to DEFAULT-VALUE;
>   KEYMAP - useful to provide a special keymap in the editing buffer;
>   READ - interpret the result as a Lisp object and return that object;
>   HIST - not sure, what functionality should be associated with the histo=
ry
>   in the editing buffer;
>   DEFAULT-VALUE - necessary to specify the value to return after typing
>   `C-c C-c' in the empty buffer;
>   INHERIT-INPUT-METHOD - necessary as well
>=20
> The new arguments should be the same as currently for the function
> display-buffer:
>=20
>   BUFFER-OR-NAME - the name of the editing buffer;
>   ACTION - display action like display-buffer-below-selected or
>   display-buffer-at-bottom.

I don't see it like that. I don't see it like `read-from-minibuffer'. I don=
't see
it as modal, requiring you to edit and return without doing other things
in between. To me, this is not about creating something similar to a
minibuffer interaction.

I instead see it like what `M-x report-emacs-bug' does, followed by `C-c C-=
c':

1. One operation to open a window with a buffer for editing something,
possibly putting some text there, some of which could be ignored
when the read or other action occurs (from `C-c C-c`).=20

That buffer would, yes, have a mode (which already also means a
keymap, and possibly a read syntax (e.g. `emacs-lisp-mode' has Lisp
`read' syntax).

2. Another operation, bound to `C-c C-c' in that editing buffer, which
would do something to the edited text. Typically read it. Ignoring some
text perhaps (e.g. instructions shown there to begin with).

Think `report-emacs-bug' as the model, IMO. Or for a Lisp buffer, see, e.g.=
,
`bmkp-edit-bookmark-record' and `bmkp-edit-bookmark-record-send', in
file `bookmark+-1.el', here:

https://www.emacswiki.org/emacs/download/bookmark%2b-1.el

I mention that only because I have it ready-to-hand. But this is Jean-Louis=
's
bug. Maybe he has a different idea in mind. For me, what's needed is two
operations - nothing modal: make available a buffer for editing something,
and give you a way to send that something to some function that uses it.
I'm also guessing that this is what Michael had in mind when he said that
Emacs has invented this here and there, and he has too.

Those existing here-and-there's are the place to start. I offered one, abov=
e.
I expect there are many others that folks have come up with. Looking at
what they have in common should give us an idea of a minimum set and
possible optional behaviors etc.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33007; Package emacs. Full text available.

Message received at 33007 <at> debbugs.gnu.org:


Received: (at 33007) by debbugs.gnu.org; 16 Oct 2018 22:38:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 16 18:38:39 2018
Received: from localhost ([127.0.0.1]:54078 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gCXz5-0006IP-F9
	for submit <at> debbugs.gnu.org; Tue, 16 Oct 2018 18:38:39 -0400
Received: from pop.dreamhost.com ([64.90.62.162]:38628
 helo=pdx1-sub0-mail-a7.g.dreamhost.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1gCXz1-0006IA-K6
 for 33007 <at> debbugs.gnu.org; Tue, 16 Oct 2018 18:38:36 -0400
Received: from pdx1-sub0-mail-a7.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a7.g.dreamhost.com (Postfix) with ESMTP id DF6B57F689;
 Tue, 16 Oct 2018 15:38:34 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=linkov.net; h=from:to:cc
 :subject:references:date:in-reply-to:message-id:mime-version
 :content-type; s=linkov.net; bh=DGjTWfyjEv8DSPVV0grMTgchuak=; b=
 PBLuNdldEaOnTisB53V5Wn0rwkKiffFTlrM9LmTP4pBENtUp657c/MfYut64Qkau
 1ds3eKcKyUgJj6d3WFIQoH5VoyJaF8vZ5DwF+q3PzuCvguFgSkmbaycr47CLdwXr
 028jzafCkivWO6RWYl2dLApCXcrcaeDRUGtGvi99nG0=
Received: from localhost.linkov.net (m91-129-96-249.cust.tele2.ee
 [91.129.96.249])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by pdx1-sub0-mail-a7.g.dreamhost.com (Postfix) with ESMTPSA id 5E1807F680;
 Tue, 16 Oct 2018 15:38:31 -0700 (PDT)
X-DH-BACKEND: pdx1-sub0-mail-a7
From: Juri Linkov <juri@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#33007: 27.0.50;
 Proposal for function to edit and return string
Organization: LINKOV.NET
References: <86pnwh4je8.fsf@HIDDEN>> <83bm81xl84.fsf@HIDDEN>
 <20181011063321.GD27672@HIDDEN>>
 <87lg74zk2k.fsf@HIDDEN>> <834ldsy31m.fsf@HIDDEN>>
 <ff9d53f8-857a-4e95-af38-65c4fdc1ecde@default>
 <87efcrazrs.fsf@HIDDEN>
 <6a27b968-1307-44f2-b335-cde4ef51159b@default>
Date: Wed, 17 Oct 2018 01:12:24 +0300
In-Reply-To: <6a27b968-1307-44f2-b335-cde4ef51159b@default> (Drew Adams's
 message of "Mon, 15 Oct 2018 15:07:18 -0700 (PDT)")
Message-ID: <87pnw992hn.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: -100
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgedtkedrfedugdduudcutefuodetggdotefrodftvfcurfhrohhfihhlvgemucggtfgfnhhsuhgsshgtrhhisggvpdfftffgtefojffquffvnecuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenucfjughrpefhvffuohhfffgjkfgfgggtsehttdertddtredtnecuhfhrohhmpefluhhrihcunfhinhhkohhvuceojhhurhhisehlihhnkhhovhdrnhgvtheqnecukfhppeeluddruddvledrleeirddvgeelnecurfgrrhgrmhepmhhouggvpehsmhhtphdphhgvlhhopehlohgtrghlhhhoshhtrdhlihhnkhhovhdrnhgvthdpihhnvghtpeeluddruddvledrleeirddvgeelpdhrvghtuhhrnhdqphgrthhhpefluhhrihcunfhinhhkohhvuceojhhurhhisehlihhnkhhovhdrnhgvtheqpdhmrghilhhfrhhomhepjhhurhhisehlihhnkhhovhdrnhgvthdpnhhrtghpthhtohepughrvgifrdgruggrmhhssehorhgrtghlvgdrtghomhenucevlhhushhtvghrufhiiigvpedt
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 33007
Cc: Michael Heerdegen <michael_heerdegen@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>,
 33007 <at> debbugs.gnu.org, bugs@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> * what kind of popping up of the editing buffer
> * what to name the editing buffer
> * what kind of operation to process the edited text -
>    a function (e.g. `read' in the case of editing a bookmark
>    record, `read-string' in some other contexts, etc.).
>    Maybe `read-string' by default?

read-from-minibuffer has the following arguments.  Let's see which ones
should remain for the new function with a name like read-from-buffer
that will read from the editing buffer:

  PROMPT - probably necessary to insert some explanatory text, such as
  for example the text inserted at the top of the *Completions* buffer:
  "Click on a completion to select it.
   In this buffer, type RET to select the completion near point.
   Possible completions are:"

  INITIAL-CONTENTS - an obsolete alternative to DEFAULT-VALUE;

  KEYMAP - useful to provide a special keymap in the editing buffer;

  READ - interpret the result as a Lisp object and return that object;

  HIST - not sure, what functionality should be associated with the history
  in the editing buffer;

  DEFAULT-VALUE - necessary to specify the value to return after typing
  `C-c C-c' in the empty buffer;

  INHERIT-INPUT-METHOD - necessary as well

The new arguments should be the same as currently for the function
display-buffer:

  BUFFER-OR-NAME - the name of the editing buffer;

  ACTION - display action like display-buffer-below-selected or
  display-buffer-at-bottom.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33007; Package emacs. Full text available.

Message received at 33007 <at> debbugs.gnu.org:


Received: (at 33007) by debbugs.gnu.org; 15 Oct 2018 22:07:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 15 18:07:34 2018
Received: from localhost ([127.0.0.1]:51568 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gCB1S-00063k-GU
	for submit <at> debbugs.gnu.org; Mon, 15 Oct 2018 18:07:34 -0400
Received: from userp2120.oracle.com ([156.151.31.85]:51508)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1gCB1R-00063Y-IF
 for 33007 <at> debbugs.gnu.org; Mon, 15 Oct 2018 18:07:34 -0400
Received: from pps.filterd (userp2120.oracle.com [127.0.0.1])
 by userp2120.oracle.com (8.16.0.22/8.16.0.22) with SMTP id w9FM4qVR186794;
 Mon, 15 Oct 2018 22:07:27 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=mime-version :
 message-id : date : from : sender : to : cc : subject : references :
 in-reply-to : content-type : content-transfer-encoding; s=corp-2018-07-02;
 bh=j0VyK4QxIHWQn1FS7gVbVDc+/jze177SOoSrxEJ3EiM=;
 b=3M9jRIx4+dUgSVNtUiKOubJBczSWo25AoTy+HpEN4RmB80Cm27vl7hxjDezw+PWj1Tr3
 r39dFpIEPiACtlmNNGkWWzK7EkoeZKhyASw0Yam7aUyriNNRBbbd4BWNXRr6rleLVL++
 Uli6yzn8V8siY6/POmaknra0fOF1Q4wT9196sQ202XA9BzUZ25MhxXpAmcW3c9HpBaC5
 u9Qm+ohD3jAfFLKwEISf8Lk3ZhYilTtEGlMCBb/qjrX2sWnubWWXNxQbnPJJLsg/ERpa
 4I+vJLwgUH5VcYCqShwzgLKPRS4rKN59B5rORYajESbiLYMuFi/cfiGFlXAUbn22TWki /g== 
Received: from aserv0022.oracle.com (aserv0022.oracle.com [141.146.126.234])
 by userp2120.oracle.com with ESMTP id 2n39br50q1-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Mon, 15 Oct 2018 22:07:27 +0000
Received: from aserv0122.oracle.com (aserv0122.oracle.com [141.146.126.236])
 by aserv0022.oracle.com (8.14.4/8.14.4) with ESMTP id w9FM7K3j030182
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Mon, 15 Oct 2018 22:07:20 GMT
Received: from abhmp0017.oracle.com (abhmp0017.oracle.com [141.146.116.23])
 by aserv0122.oracle.com (8.14.4/8.14.4) with ESMTP id w9FM7J1F000902;
 Mon, 15 Oct 2018 22:07:19 GMT
MIME-Version: 1.0
Message-ID: <6a27b968-1307-44f2-b335-cde4ef51159b@default>
Date: Mon, 15 Oct 2018 15:07:18 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: RE: bug#33007: 27.0.50; Proposal for function to edit and return
 string
References: <86pnwh4je8.fsf@HIDDEN>> <83bm81xl84.fsf@HIDDEN>
 <20181011063321.GD27672@HIDDEN>> <87lg74zk2k.fsf@HIDDEN>>
 <834ldsy31m.fsf@HIDDEN>> <ff9d53f8-857a-4e95-af38-65c4fdc1ecde@default>
 <87efcrazrs.fsf@HIDDEN>
In-Reply-To: <87efcrazrs.fsf@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 16.0.4735.0 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Proofpoint-Virus-Version: vendor=nai engine=5900 definitions=9047
 signatures=668706
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=0
 malwarescore=0
 phishscore=0 bulkscore=0 spamscore=0 mlxscore=0 mlxlogscore=999
 adultscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.0.1-1807170000 definitions=main-1810150190
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 33007
Cc: Michael Heerdegen <michael_heerdegen@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>,
 33007 <at> debbugs.gnu.org, bugs@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> > The functions that (1) create and display the buffer
> > and (2) process it (e.g. a command bound to `C-c C-c',
> > by default) or cancel it should be usable in various
> > ways, for buffer content of various kinds and for
> > processing of various kinds.
>=20
> Or to add a new arg to the existing standard functions like read-string
> that will force them to use the bottom side window for reading (like the
> bottom window is used for *Completions*) instead of the minibuffer.

Perhaps I misunderstand you, but that sounds like the
opposite (well, an opposite) to what I suggested: "be
usable in various ways, for buffer content of various
kinds and for processing of various kinds."

Probably I didn't give a good idea what I meant by that.

In my view this is not necessarily about reading a string.
And it is not fundamentally about which window becomes
selected after the editing is finished (processed) or where
the window for editing is placed. But maybe those things
should be specifiable too.

Reading edited content in a Lisp buffer is quite different
from reading edited text as a string, for instance.

Example: In Bookmark+ you can edit a bookmark record,
which is Lisp code, and then hit `C-c C-c' when you are done,
to have the edited code take effect. In this case the
operative read operation is Lisp `read'. It's not about reading
a string at all in this case.

I think we should aim for something pretty general, which
pops up an editing buffer, lets you edit (whatever it is) there,
and then lets you hit a key (e.g. `C-c C-c' might be a good
default) to have the edited text processed in some way
(typically read in some way).

For that we need a pretty general function that accepts
parameters that let you specify the specific behavior you
need. Maybe parameters to specify things like these:

* what kind of popping up of the editing buffer
* what to name the editing buffer
* what kind of operation to process the edited text -
   a function (e.g. `read' in the case of editing a bookmark
   record, `read-string' in some other contexts, etc.).
   Maybe `read-string' by default?
* what to do with the editing buffer at the end.

Maybe other things are needed, to enable more uses.

Maybe you think we should have a parameter for how
(where) to display the pop-up editing buffer? And a
parameter for how to determine which window gets
selected after editing is finished? I don't have an
opinion about those possibilities, except that by
default probably you should be back in the window
and buffer you started in.

Possibly the last one I listed is not needed? In my
case I typically use a special-display buffer, which
puts the pop-up buffer in a separate frame.

So in my case it is enough to have option
`frame-auto-hide-function' take care of what to do
with the editing buffer at the end (I have
`delete-frame' as the value of that option).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33007; Package emacs. Full text available.

Message received at 33007 <at> debbugs.gnu.org:


Received: (at 33007) by debbugs.gnu.org; 15 Oct 2018 21:30:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 15 17:30:46 2018
Received: from localhost ([127.0.0.1]:51553 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gCARp-0005DR-Sv
	for submit <at> debbugs.gnu.org; Mon, 15 Oct 2018 17:30:46 -0400
Received: from pop.dreamhost.com ([64.90.62.162]:41260
 helo=pdx1-sub0-mail-a75.g.dreamhost.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1gCARo-0005DH-Px
 for 33007 <at> debbugs.gnu.org; Mon, 15 Oct 2018 17:30:45 -0400
Received: from pdx1-sub0-mail-a75.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a75.g.dreamhost.com (Postfix) with ESMTP id BCA89805BE;
 Mon, 15 Oct 2018 14:30:43 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=linkov.net; h=from:to:cc
 :subject:references:date:in-reply-to:message-id:mime-version
 :content-type; s=linkov.net; bh=dx+l7CeLFBnf0u3VrbEzxlwhyjU=; b=
 YgmmhfOuJK6NXgUdkys6hr0RTDx6n6Zkpo+yW3oU8WVSKbp6vFon5KxdBOlz1s9Y
 8gFCuMFjg3f2Q4pzzhWiagBzmklqpGFNYxe8XEkOoNysi1TKy30mSfq5vEP1NU34
 x+5klqJi2EgrGS5rf5YlvIF97B3tIwiftEtbUkQr+nk=
Received: from localhost.linkov.net (m91-129-104-210.cust.tele2.ee
 [91.129.104.210])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by pdx1-sub0-mail-a75.g.dreamhost.com (Postfix) with ESMTPSA id AF14F805B5;
 Mon, 15 Oct 2018 14:30:40 -0700 (PDT)
X-DH-BACKEND: pdx1-sub0-mail-a75
From: Juri Linkov <juri@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#33007: 27.0.50;
 Proposal for function to edit and return string
Organization: LINKOV.NET
References: <86pnwh4je8.fsf@HIDDEN>> <83bm81xl84.fsf@HIDDEN>
 <20181011063321.GD27672@HIDDEN>>
 <87lg74zk2k.fsf@HIDDEN>> <834ldsy31m.fsf@HIDDEN>>
 <ff9d53f8-857a-4e95-af38-65c4fdc1ecde@default>
Date: Mon, 15 Oct 2018 23:34:55 +0300
In-Reply-To: <ff9d53f8-857a-4e95-af38-65c4fdc1ecde@default> (Drew Adams's
 message of "Thu, 11 Oct 2018 14:41:12 +0000 (UTC)")
Message-ID: <87efcrazrs.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: -100
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgedtkedrvdelgdduvdcutefuodetggdotefrodftvfcurfhrohhfihhlvgemucggtfgfnhhsuhgsshgtrhhisggvpdfftffgtefojffquffvnecuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenucfjughrpefhvffuohhfffgjkfgfgggtsehttdertddtredtnecuhfhrohhmpefluhhrihcunfhinhhkohhvuceojhhurhhisehlihhnkhhovhdrnhgvtheqnecukfhppeeluddruddvledruddtgedrvddutdenucfrrghrrghmpehmohguvgepshhmthhppdhhvghloheplhhotggrlhhhohhsthdrlhhinhhkohhvrdhnvghtpdhinhgvthepledurdduvdelrddutdegrddvuddtpdhrvghtuhhrnhdqphgrthhhpefluhhrihcunfhinhhkohhvuceojhhurhhisehlihhnkhhovhdrnhgvtheqpdhmrghilhhfrhhomhepjhhurhhisehlihhnkhhovhdrnhgvthdpnhhrtghpthhtohepughrvgifrdgruggrmhhssehorhgrtghlvgdrtghomhenucevlhhushhtvghrufhiiigvpedt
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 33007
Cc: Michael Heerdegen <michael_heerdegen@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>,
 33007 <at> debbugs.gnu.org, bugs@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> The functions that (1) create and display the buffer
> and (2) process it (e.g. a command bound to `C-c C-c',
> by default) or cancel it should be usable in various
> ways, for buffer content of various kinds and for
> processing of various kinds.

Or to add a new arg to the existing standard functions like read-string
that will force them to use the bottom side window for reading (like the
bottom window is used for *Completions*) instead of the minibuffer.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33007; Package emacs. Full text available.

Message received at 33007 <at> debbugs.gnu.org:


Received: (at 33007) by debbugs.gnu.org; 12 Oct 2018 12:41:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 12 08:41:54 2018
Received: from localhost ([127.0.0.1]:45990 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gAwlN-0007wQ-Ph
	for submit <at> debbugs.gnu.org; Fri, 12 Oct 2018 08:41:54 -0400
Received: from eggs.gnu.org ([208.118.235.92]:40671)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1gAwlM-0007wE-RS
 for 33007 <at> debbugs.gnu.org; Fri, 12 Oct 2018 08:41:53 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1gAwlC-00035i-JA
 for 33007 <at> debbugs.gnu.org; Fri, 12 Oct 2018 08:41:47 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:34893)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1gAwlC-00035I-Df; Fri, 12 Oct 2018 08:41:42 -0400
Received: from [176.228.60.248] (port=1389 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1gAwlB-0000bs-9j; Fri, 12 Oct 2018 08:41:42 -0400
Date: Fri, 12 Oct 2018 15:41:37 +0300
Message-Id: <83efcvwd4u.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
In-reply-to: <875zy7xv6d.fsf@HIDDEN> (message from Michael Heerdegen on Fri,
 12 Oct 2018 13:26:34 +0200)
Subject: Re: bug#33007: 27.0.50;
 Proposal for function to edit and return string
References: <86pnwh4je8.fsf@HIDDEN> <83bm81xl84.fsf@HIDDEN>
 <20181011063321.GD27672@HIDDEN> <87lg74zk2k.fsf@HIDDEN>
 <834ldsy31m.fsf@HIDDEN> <87y3b4xmjk.fsf@HIDDEN>
 <83tvlrx02s.fsf@HIDDEN> <875zy7xv6d.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 33007
Cc: 33007 <at> debbugs.gnu.org, bugs@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> From: Michael Heerdegen <michael_heerdegen@HIDDEN>
> Cc: bugs@HIDDEN,  33007 <at> debbugs.gnu.org
> Date: Fri, 12 Oct 2018 13:26:34 +0200
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > I meant the infrastructure they use.  Customize uses widgets, AFAIR.
> 
> But in Customize or EWW, you already have a buffer you can use for
> input.  In the cases I described, you don't.  If you e.g. want to query
> the user for a (possibly longer) note to attach to an article in Gnus,
> or want to query for a new note to capture (org), there is just no
> buffer at hand to place a widget.

I just wanted to point out places where we do something similar, in
case we could reuse or refactor what they do, instead of inventing
from scratch.  I'm not saying that, because we have all those places,
we don't need the proposed feature.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33007; Package emacs. Full text available.

Message received at 33007 <at> debbugs.gnu.org:


Received: (at 33007) by debbugs.gnu.org; 12 Oct 2018 11:27:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 12 07:27:15 2018
Received: from localhost ([127.0.0.1]:45965 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gAvb9-00048D-4s
	for submit <at> debbugs.gnu.org; Fri, 12 Oct 2018 07:27:15 -0400
Received: from mout.web.de ([212.227.15.4]:44061)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1gAvb7-00047z-Na
 for 33007 <at> debbugs.gnu.org; Fri, 12 Oct 2018 07:27:14 -0400
Received: from drachen.dragon ([94.218.210.177]) by smtp.web.de (mrweb003
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0MV4hR-1gAED82SPF-00YNgn; Fri, 12
 Oct 2018 13:26:35 +0200
Received: from drachen.dragon ([94.218.210.177]) by smtp.web.de (mrweb003
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0MV4hR-1gAED82SPF-00YNgn; Fri, 12
 Oct 2018 13:26:35 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#33007: 27.0.50;
 Proposal for function to edit and return string
References: <86pnwh4je8.fsf@HIDDEN> <83bm81xl84.fsf@HIDDEN>
 <20181011063321.GD27672@HIDDEN> <87lg74zk2k.fsf@HIDDEN>
 <834ldsy31m.fsf@HIDDEN> <87y3b4xmjk.fsf@HIDDEN>
 <83tvlrx02s.fsf@HIDDEN>
Date: Fri, 12 Oct 2018 13:26:34 +0200
In-Reply-To: <83tvlrx02s.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 12 Oct
 2018 07:26:03 +0300")
Message-ID: <875zy7xv6d.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:gzHCgwVi4BcrzqlUSF95Pbn6c0DktZidlC6Sslw9thpuNN1sBei
 lpK2bj3cNxuhk5knyszJKBhXaLDTavUqgCkC1jMMMnEHqA9CGdMrfk+x97Ppbt91lLDQrg4
 qh5otEix7yldR2XYXCHiwp9+eHUR3q0TawnA9CJx85zblFWq8cKjmXz99kDvpp43XRbpczj
 B8y1scOvIc4Y6AJtK1Q0A==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V01:K0:2eeyiLM0J4M=:jBNac0dKa8a36LLRGSiN8j
 sv7LyLtC4c82RUxDpIwaSuIKUYX0ErPXpUxp+uKKu72kFOzWqFbWC28yK2ndGKOhXxYIpLBgC
 /aBh/vOEjxrqrIApD2+CLKXexq8q2logFGVDzZBNH69Q7sqvkGRaAmxacxCrPtnt9O6a0C9TK
 SCq2dr/tCyA9k/6mzoMrflG8/2U+Jwy8KSjzU0qIg/eHQ8qOLMV/tMYyha8kyXdsmnBj23vfk
 oHLmVqTo2FpfMxUn7wnRHdWw4D8GZOl+67dHO9wENvIRb0obPVrurbwzuHQ+fRX7gBBFXXdjp
 DeGoWUTgimoQ9E4I4TUvnAW4Okem+Sy36ACaJSWvfUExYKNFeTbsk+LlcTBE1lPgmOL4Qx92X
 xjAY2vZIxRFpw1myv6Mnw1ktGnX4c6jKUIVM4FdCImiUHs55ADK1y2su7azGTU2jzK8Nn29N4
 pd37i34dxjT9+NXbmQLx8mHKN2hl65QVAJHL69Gbs8BwN+aN/qvV0e2xhtqFlqW7f3e+mg7sU
 7yf0U1poMsj7OdMM4vFU+uh8iHkGSSLtfjrltDVctatbMQVv5Z9LwnT5r+qenA8g5yxDPgSeK
 uZxfZ3oU19JV4+Vt0v22TLliz0WAvOq3C1bmvkcRI+kLlC4AhLBbcXiSENLD23EtnYunB6Dvx
 8B2bGBhokJMqTC9VkWiks2BXIksSQ7CuArIkceA5UuCZTcXroynlmG6M+hyJ9XaA8mWe8qLbm
 KYBBazTyOH6NXJsW0xaR+0A3DNDqhkK6DLz7nDhu0na9E0mv6wwVe5TZhaQ4dfrKXAN5q8mmw
 cEncluP1LUqC+erW56iSqxA5VUbyhONp9iNdHSSA3ftnBYVTLM=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33007
Cc: 33007 <at> debbugs.gnu.org, bugs@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> I meant the infrastructure they use.  Customize uses widgets, AFAIR.

But in Customize or EWW, you already have a buffer you can use for
input.  In the cases I described, you don't.  If you e.g. want to query
the user for a (possibly longer) note to attach to an article in Gnus,
or want to query for a new note to capture (org), there is just no
buffer at hand to place a widget.

But if you already must use a dedicated buffer for input, using a widget
is no real additional gain.


Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33007; Package emacs. Full text available.

Message received at 33007 <at> debbugs.gnu.org:


Received: (at 33007) by debbugs.gnu.org; 12 Oct 2018 04:26:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 12 00:26:11 2018
Received: from localhost ([127.0.0.1]:45783 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gAp1f-0006pp-8T
	for submit <at> debbugs.gnu.org; Fri, 12 Oct 2018 00:26:11 -0400
Received: from eggs.gnu.org ([208.118.235.92]:60108)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1gAp1d-0006pd-PI
 for 33007 <at> debbugs.gnu.org; Fri, 12 Oct 2018 00:26:09 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1gAp1V-0000nD-D4
 for 33007 <at> debbugs.gnu.org; Fri, 12 Oct 2018 00:26:04 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:45599)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1gAp1V-0000n0-96; Fri, 12 Oct 2018 00:26:01 -0400
Received: from [176.228.60.248] (port=2314 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1gAp1U-0004Wa-Rj; Fri, 12 Oct 2018 00:26:01 -0400
Date: Fri, 12 Oct 2018 07:26:03 +0300
Message-Id: <83tvlrx02s.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
In-reply-to: <87y3b4xmjk.fsf@HIDDEN> (message from Michael Heerdegen on Thu,
 11 Oct 2018 22:20:47 +0200)
Subject: Re: bug#33007: 27.0.50;
 Proposal for function to edit and return string
References: <86pnwh4je8.fsf@HIDDEN> <83bm81xl84.fsf@HIDDEN>
 <20181011063321.GD27672@HIDDEN> <87lg74zk2k.fsf@HIDDEN>
 <834ldsy31m.fsf@HIDDEN> <87y3b4xmjk.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 33007
Cc: 33007 <at> debbugs.gnu.org, bugs@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> From: Michael Heerdegen <michael_heerdegen@HIDDEN>
> Cc: bugs@HIDDEN,  33007 <at> debbugs.gnu.org
> Date: Thu, 11 Oct 2018 22:20:47 +0200
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > Don't we already have something like that in Customize and/or in EWW,
> > where they allow the user to fill fields in a form?
> 
> The use cases I have in mind don't fit there.  If you for example want
> an interface to be able to attach multi line text notes to articles in
> Gnus, it makes no sense to use a Customize or EWW buffer for that.

I meant the infrastructure they use.  Customize uses widgets, AFAIR.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33007; Package emacs. Full text available.

Message received at 33007 <at> debbugs.gnu.org:


Received: (at 33007) by debbugs.gnu.org; 11 Oct 2018 21:23:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 11 17:23:55 2018
Received: from localhost ([127.0.0.1]:45588 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gAiR1-0003Dt-BF
	for submit <at> debbugs.gnu.org; Thu, 11 Oct 2018 17:23:55 -0400
Received: from userp2120.oracle.com ([156.151.31.85]:53206)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1gAiQz-0003Dg-NC
 for 33007 <at> debbugs.gnu.org; Thu, 11 Oct 2018 17:23:54 -0400
Received: from pps.filterd (userp2120.oracle.com [127.0.0.1])
 by userp2120.oracle.com (8.16.0.22/8.16.0.22) with SMTP id w9BLNlSh150241;
 Thu, 11 Oct 2018 21:23:47 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=mime-version :
 message-id : date : from : sender : to : cc : subject : references :
 in-reply-to : content-type : content-transfer-encoding; s=corp-2018-07-02;
 bh=XD5lW6gOjnBiG1YCdKUN7Vx9X1jzWy5L49cyoQS4CMw=;
 b=e8wx1wgqWUggYIVApN5jjNeUybOGF4hHhJOKAYHXqOM5cbXzvCmvQTqskP4Pb2H84XOA
 2jruwOYOYCTmsDO5atu5dUGhuQpGQ02n7c3TUMks7Y7cESdgim7C3RD+s2pds1ydkVh/
 xVwMq/l9PsxRQ1DZsR1Q5gJ1YRENDdPH4lY9yTFny3nWXj7hywOlxPvZHD4aQHCntZZ6
 fo6Spepc+RgoyXvfTmBGFjjMp6smoYsvRej5NPVDjWsdYD8dO8nfOUpomj84kmrqOHQf
 VOtZnr37o7Y71uxJisetvZKrpANtIrlatvu4iZkG9PdcK4Xg5uHPjw28mHouzWYdIxkY Sg== 
Received: from userv0022.oracle.com (userv0022.oracle.com [156.151.31.74])
 by userp2120.oracle.com with ESMTP id 2mxnprewnq-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Thu, 11 Oct 2018 21:23:47 +0000
Received: from userv0121.oracle.com (userv0121.oracle.com [156.151.31.72])
 by userv0022.oracle.com (8.14.4/8.14.4) with ESMTP id w9BLNhCH026853
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Thu, 11 Oct 2018 21:23:43 GMT
Received: from abhmp0020.oracle.com (abhmp0020.oracle.com [141.146.116.26])
 by userv0121.oracle.com (8.14.4/8.13.8) with ESMTP id w9BLNgus030793;
 Thu, 11 Oct 2018 21:23:43 GMT
MIME-Version: 1.0
Message-ID: <6abb8c54-145a-43d7-baa6-208ec0f7cf5f@default>
Date: Thu, 11 Oct 2018 21:23:41 +0000 (UTC)
From: Drew Adams <drew.adams@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
Subject: RE: bug#33007: 27.0.50; Proposal for function to edit and return
 string
References: <86pnwh4je8.fsf@HIDDEN> <83bm81xl84.fsf@HIDDEN>
 <20181011063321.GD27672@HIDDEN> <87lg74zk2k.fsf@HIDDEN>
 <834ldsy31m.fsf@HIDDEN> <87y3b4xmjk.fsf@HIDDEN>
In-Reply-To: <87y3b4xmjk.fsf@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 16.0.4735.0 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Proofpoint-Virus-Version: vendor=nai engine=5900 definitions=9043
 signatures=668706
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=0
 malwarescore=0
 phishscore=0 bulkscore=0 spamscore=0 mlxscore=0 mlxlogscore=864
 adultscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.0.1-1807170000 definitions=main-1810110201
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 33007
Cc: 33007 <at> debbugs.gnu.org, bugs@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> > Don't we already have something like that in Customize and/or in EWW,
> > where they allow the user to fill fields in a form?
>=20
> The use cases I have in mind don't fit there.  If you for example want
> an interface to be able to attach multi line text notes to articles in
> Gnus, it makes no sense to use a Customize or EWW buffer for that.
>=20
> `org-capture' is another (already implemented) example: It prompts you
> for a new note or task using a pop-up buffer.  This time, this buffer is
> in org mode.
>=20
> Magit's buffer prompting for a commit message is yet another example.
> In all these cases, you don't yet have a buffer that you could use for
> input, unlike Customize or EWW, and the minibuffer is not good for the
> task.

Plus adding/editing a bookmark annotation, plus...

The need is a general one. And the appropriate modes for possible editing b=
uffers are unlimited. And what-to-do-with-the-result-of-editing is also unl=
imited.

What's needed is a function that lets you specify such things: editing mode=
 and a function (such as `read', for Lisp code) to apply to the buffer cont=
ent after editing (i.e., as part of "sending" or returning it).

Also needed probably is some way to provide text to be inserted at the top =
of the buffer as instructions, suitably commented-out if needed.

(Alternatively, put such text in a separate pop-up buffer, like `M-x report=
-emacs-bug' does with (some of) its instructions/help.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33007; Package emacs. Full text available.

Message received at 33007 <at> debbugs.gnu.org:


Received: (at 33007) by debbugs.gnu.org; 11 Oct 2018 20:21:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 11 16:21:32 2018
Received: from localhost ([127.0.0.1]:45538 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gAhSc-0001hI-LG
	for submit <at> debbugs.gnu.org; Thu, 11 Oct 2018 16:21:30 -0400
Received: from mout.web.de ([212.227.15.3]:59501)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1gAhSa-0001h6-Jt
 for 33007 <at> debbugs.gnu.org; Thu, 11 Oct 2018 16:21:28 -0400
Received: from drachen.dragon ([94.218.210.177]) by smtp.web.de (mrweb004
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0MHuv7-1g78gO1vXp-003bvT; Thu, 11
 Oct 2018 22:20:49 +0200
Received: from drachen.dragon ([94.218.210.177]) by smtp.web.de (mrweb004
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0MHuv7-1g78gO1vXp-003bvT; Thu, 11
 Oct 2018 22:20:49 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#33007: 27.0.50;
 Proposal for function to edit and return string
References: <86pnwh4je8.fsf@HIDDEN> <83bm81xl84.fsf@HIDDEN>
 <20181011063321.GD27672@HIDDEN> <87lg74zk2k.fsf@HIDDEN>
 <834ldsy31m.fsf@HIDDEN>
Date: Thu, 11 Oct 2018 22:20:47 +0200
In-Reply-To: <834ldsy31m.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 11 Oct
 2018 17:24:21 +0300")
Message-ID: <87y3b4xmjk.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:jZre0kEmVmMFqYAoiM9fknwD6I6sBfq0RBSVye0VFU9wer2d1TO
 +fbaXSKU7chB5RIti8Sjy0Ck/Kh7pWzj4BC9ufRvGWKvd881YlBPjGCBZem+Bsmn/Q3ME/w
 6cPUrEpZfDXCSP5fBrZUSUKixdSiKGpQ8CsD2BLmCsCcVtmrQqvF3/q1agg6FfWfNM0rxr9
 QB6GiHmpMhVRQZR8gVCPg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V01:K0:UCtR1DhcC9E=:P9zRkIihVPmkqBoOsx0V36
 nzEfifsCj01arW+AXYGYtr7kWIPIDSX1HTB9CanMSmh4X+XLQs/jMnasp4O6ZgMWIBBdBAFmN
 VICS+9p748j0uIGV+KN/f5O5mbEV9K0Q8MlyAcVsG9nZ6lS2GXpNvwqgOU1WTJm51vpgOE18U
 rt/w+fh7sEjT+u054ibHQxYbVFlzKvEGvdpFMprV7oNGF0U7uikIfOeMURaHNc7ouT9lLEbNl
 +ErgjDKubVwc0JspJyJj75VPqwdsH7AOPk9JiuXYGLNMeO9XFc7gvsqyv3Sn6wjao6juwuOsW
 zfEmcp+tMuhvngIYizuDk1+fAL/Im+1SEzeFul10FEFWMcZup7KwUAaNPQCNz/hJdppaQ6ixo
 PpiiSxL9lTUZysdmXMRnzs/1fmDSpApjNeNrtwhJnTbd7PGZiao7T0yRsoN52jzuD3otd5br9
 wH7YVkJPJhBmbzsYdFATY/lKMKvsrzyVEmkko9kEhXry1CxsWjf+CAZyHlsNU/bmMnEEmhf0c
 ybfxzt9b0XZjcXb3ZnBQKTDxwv09WwTjhCJ50SqP0w4By6NuW/pPLmO2DYMYSTMKeHtPHzDpy
 ghADZKd9POmwf6adtPdAQA/YrTnrYNhCjPKKh59P9E6R18icZ/tipMQ4GdKdNhVCTRorOaGh8
 bYTHOtX1vcNlpYKrJ5bGrvLRTxOx866SHHFy2tt1mBbrsJHLNw1U4udtIZXwG5nwE7+vtaToq
 07HC4TmDqKpzCLBJ0GodTSxeVU9tYNYztwAMDlSg2EDutfAgr45FyU590a2Kgej5PeDnIAL+G
 V4X5IY/QpSF0w9BG/Iu6Dp2Nz2eFVstxl5oH5qrghDU2zlPiqU=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33007
Cc: 33007 <at> debbugs.gnu.org, bugs@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> Don't we already have something like that in Customize and/or in EWW,
> where they allow the user to fill fields in a form?

The use cases I have in mind don't fit there.  If you for example want
an interface to be able to attach multi line text notes to articles in
Gnus, it makes no sense to use a Customize or EWW buffer for that.

`org-capture' is another (already implemented) example: It prompts you
for a new note or task using a pop-up buffer.  This time, this buffer is
in org mode.

Magit's buffer prompting for a commit message is yet another example.
In all these cases, you don't yet have a buffer that you could use for
input, unlike Customize or EWW, and the minibuffer is not good for the
task.


Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33007; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 11 Oct 2018 16:40:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 11 12:40:37 2018
Received: from localhost ([127.0.0.1]:45426 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gAe0r-0004yZ-Ir
	for submit <at> debbugs.gnu.org; Thu, 11 Oct 2018 12:40:37 -0400
Received: from eggs.gnu.org ([208.118.235.92]:45679)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1gAe0q-0004yK-9j
 for submit <at> debbugs.gnu.org; Thu, 11 Oct 2018 12:40:36 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1gAe0k-00044y-3q
 for submit <at> debbugs.gnu.org; Thu, 11 Oct 2018 12:40:30 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.5 required=5.0 tests=BAYES_05 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:52178)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1gAe0j-00044d-QD
 for submit <at> debbugs.gnu.org; Thu, 11 Oct 2018 12:40:29 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:55285)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1gAe0i-0002ZH-SE
 for bug-gnu-emacs@HIDDEN; Thu, 11 Oct 2018 12:40:29 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1gAe0c-00040b-EG
 for bug-gnu-emacs@HIDDEN; Thu, 11 Oct 2018 12:40:28 -0400
Received: from [195.159.176.226] (port=52375 helo=blaine.gmane.org)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1gAe0c-0003yV-2H
 for bug-gnu-emacs@HIDDEN; Thu, 11 Oct 2018 12:40:22 -0400
Received: from list by blaine.gmane.org with local (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1gAdyR-0002XJ-Di
 for bug-gnu-emacs@HIDDEN; Thu, 11 Oct 2018 18:38:07 +0200
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#33007: 27.0.50;
 Proposal for function to edit and return string
Date: Thu, 11 Oct 2018 09:40:09 -0700
Lines: 33
Message-ID: <87r2gw1lp2.fsf@HIDDEN>
References: <86pnwh4je8.fsf@HIDDEN>> <83bm81xl84.fsf@HIDDEN>
 <20181011063321.GD27672@HIDDEN>>
 <87lg74zk2k.fsf@HIDDEN>> <834ldsy31m.fsf@HIDDEN>>
 <ff9d53f8-857a-4e95-af38-65c4fdc1ecde@default>
Mime-Version: 1.0
Content-Type: text/plain
X-Complaints-To: usenet@HIDDEN
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
Cancel-Lock: sha1:reug5eNwzHahPfC733mvrH+SeGY=
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.8 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.8 (-----)

Drew Adams <drew.adams@HIDDEN> writes:

>> Don't we already have something like that in Customize
>> and/or in EWW, where they allow the user to fill fields
>> in a form?
>
> As Michael said, " I think it already has been reinvented
> multiple times in Emacs itself."
>
> The buffer is usually exited with `C-c C-c'. If the buffer
> contains Lisp code, that's typically read with `read'
> when you use `C-c C-c'.
>
> The mode should be configurable, maybe defaulting
> to Emacs Lisp mode (?). A key (other than `q') should
> let you cancel (burying or killing the buffer without
> evaluating or otherwise processing it in any way).
>
> The functions that (1) create and display the buffer
> and (2) process it (e.g. a command bound to `C-c C-c',
> by default) or cancel it should be usable in various
> ways, for buffer content of various kinds and for
> processing of various kinds.
>
> This should be done as simply as possible, e.g. as
> contrasted with something like what `view-mode'
> does, which is complex. If we want to provide
> different buffer-display behaviors that should be
> done simply somehow.

Gnus also invented this wheel a while ago, for editing Group parameters.
There's also a Customize interface to the same data, though, which is
arguably easier to use.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33007; Package emacs. Full text available.

Message received at 33007 <at> debbugs.gnu.org:


Received: (at 33007) by debbugs.gnu.org; 11 Oct 2018 14:41:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 11 10:41:23 2018
Received: from localhost ([127.0.0.1]:45380 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gAc9T-00026s-7B
	for submit <at> debbugs.gnu.org; Thu, 11 Oct 2018 10:41:23 -0400
Received: from aserp2120.oracle.com ([141.146.126.78]:50108)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1gAc9R-00026e-6R
 for 33007 <at> debbugs.gnu.org; Thu, 11 Oct 2018 10:41:21 -0400
Received: from pps.filterd (aserp2120.oracle.com [127.0.0.1])
 by aserp2120.oracle.com (8.16.0.22/8.16.0.22) with SMTP id w9BEd4w0030509;
 Thu, 11 Oct 2018 14:41:14 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=mime-version :
 message-id : date : from : sender : to : cc : subject : references :
 in-reply-to : content-type : content-transfer-encoding; s=corp-2018-07-02;
 bh=MTl+z0oy9CtvD3lzqFoBYlZd990brOqELu1do3zDQ2o=;
 b=1doa/8jELoIWAuXftdjHQBme9XH3iQvje2BzFyJ1cg8J1cn3yBxT4bbR1nTUD94uHBYY
 SAwpNTvRmlRB+1IpUMCyV4Vuq6i+2cikN3B0pHI63IhgCILhWB+2gbc1xYtF3SxN+hKs
 +2d8Jta5x40paQYa6A1tqOxCHAKF4XeCErGqR6vJV+dkYjRcgsJVbijd3nQhM+d5NIqZ
 XiMxRKMcJ3IFRhenDz5xGM8EeW5jcdBB2/usV3qasHOH2T7i1M7HaYAq65iW1GZCiSA+
 0BZTI+xXA5LVd5/mabrRCZ1VzBoQ2C11sdGurKqEEdz/yZD+CK7EwyOUDK/mgOtDQN/t MA== 
Received: from userv0021.oracle.com (userv0021.oracle.com [156.151.31.71])
 by aserp2120.oracle.com with ESMTP id 2mxn0qcqv8-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Thu, 11 Oct 2018 14:41:14 +0000
Received: from userv0121.oracle.com (userv0121.oracle.com [156.151.31.72])
 by userv0021.oracle.com (8.14.4/8.14.4) with ESMTP id w9BEfD9w020413
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Thu, 11 Oct 2018 14:41:13 GMT
Received: from abhmp0020.oracle.com (abhmp0020.oracle.com [141.146.116.26])
 by userv0121.oracle.com (8.14.4/8.13.8) with ESMTP id w9BEfCJl010578;
 Thu, 11 Oct 2018 14:41:13 GMT
MIME-Version: 1.0
Message-ID: <ff9d53f8-857a-4e95-af38-65c4fdc1ecde@default>
Date: Thu, 11 Oct 2018 14:41:12 +0000 (UTC)
From: Drew Adams <drew.adams@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>, Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: RE: bug#33007: 27.0.50; Proposal for function to edit and return
 string
References: <<86pnwh4je8.fsf@HIDDEN>> <<83bm81xl84.fsf@HIDDEN>
 <20181011063321.GD27672@HIDDEN>>
 <<87lg74zk2k.fsf@HIDDEN>> <<834ldsy31m.fsf@HIDDEN>>
In-Reply-To: <<834ldsy31m.fsf@HIDDEN>>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 16.0.4735.0 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Proofpoint-Virus-Version: vendor=nai engine=5900 definitions=9042
 signatures=668706
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=0
 malwarescore=0
 phishscore=0 bulkscore=0 spamscore=0 mlxscore=0 mlxlogscore=564
 adultscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.0.1-1807170000 definitions=main-1810110143
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 33007
Cc: 33007 <at> debbugs.gnu.org, bugs@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Don't we already have something like that in Customize
> and/or in EWW, where they allow the user to fill fields
> in a form?

As Michael said, " I think it already has been reinvented
multiple times in Emacs itself."

The buffer is usually exited with `C-c C-c'. If the buffer
contains Lisp code, that's typically read with `read'
when you use `C-c C-c'.

The mode should be configurable, maybe defaulting
to Emacs Lisp mode (?). A key (other than `q') should
let you cancel (burying or killing the buffer without
evaluating or otherwise processing it in any way).

The functions that (1) create and display the buffer
and (2) process it (e.g. a command bound to `C-c C-c',
by default) or cancel it should be usable in various
ways, for buffer content of various kinds and for
processing of various kinds.

This should be done as simply as possible, e.g. as
contrasted with something like what `view-mode'
does, which is complex. If we want to provide
different buffer-display behaviors that should be
done simply somehow.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33007; Package emacs. Full text available.

Message received at 33007 <at> debbugs.gnu.org:


Received: (at 33007) by debbugs.gnu.org; 11 Oct 2018 14:36:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 11 10:36:53 2018
Received: from localhost ([127.0.0.1]:45370 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gAc57-0001zU-5q
	for submit <at> debbugs.gnu.org; Thu, 11 Oct 2018 10:36:53 -0400
Received: from stw1.rcdrun.com ([217.170.207.13]:59089)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bugs@HIDDEN>) id 1gAc55-0001zG-9P
 for 33007 <at> debbugs.gnu.org; Thu, 11 Oct 2018 10:36:51 -0400
Received: from protected.rcdrun.com ([::ffff:31.223.149.38])
 (AUTH: PLAIN admin, TLS: TLS1.2,256bits,ECDHE_RSA_AES_256_GCM_SHA384)
 by stw1.rcdrun.com with ESMTPSA; Thu, 11 Oct 2018 07:36:44 -0700
 id 00000000000E78F1.000000005BBF5FFD.000037A0
Received: from localhost (localhost [127.0.0.1]) (uid 1001)
 by protected.rcdrun.com with local
 id 00000000000C2259.000000005BBF5FFB.00001A84; Thu, 11 Oct 2018 16:36:43 +0200
Date: Thu, 11 Oct 2018 16:36:43 +0200
From: Jean Louis <bugs@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#33007: 27.0.50; Proposal for function to edit and return
 string
Message-ID: <20181011143643.GA6766@HIDDEN>
References: <86pnwh4je8.fsf@HIDDEN> <83bm81xl84.fsf@HIDDEN>
 <20181011063321.GD27672@HIDDEN>
 <83a7nky4d3.fsf@HIDDEN>
 <20181011140845.GW980@HIDDEN>
 <831s8wy2x5.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit
Content-Disposition: inline
In-Reply-To: <831s8wy2x5.fsf@HIDDEN>
User-Agent: Mutt/1.10.1 (2018-07-13)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 33007
Cc: 33007 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Thu, Oct 11, 2018 at 05:27:02PM +0300, Eli Zaretskii wrote:
> > Date: Thu, 11 Oct 2018 16:08:45 +0200
> > From: Jean Louis <bugs@HIDDEN>
> > Cc: 33007 <at> debbugs.gnu.org
> > 
> > > The minibuffer is a normal buffer, so you should be able to use all
> > > the facilities you mention, perhaps by allowing
> > > recursive minibuffers.
> > 
> > I don't know how to use minibuffer as normal
> > buffer. For example I cannot enter M-x commands,
> > as there is error command attempted to use
> > minibuffer while in minibuffer.
> 
> "M-x set-variable RET enable-recursive-minibuffers RET t RET"

I understand. Thank you.

OK, that still cannot replace full window buffer.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33007; Package emacs. Full text available.

Message received at 33007 <at> debbugs.gnu.org:


Received: (at 33007) by debbugs.gnu.org; 11 Oct 2018 14:27:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 11 10:27:11 2018
Received: from localhost ([127.0.0.1]:45365 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gAbvj-0001lU-75
	for submit <at> debbugs.gnu.org; Thu, 11 Oct 2018 10:27:11 -0400
Received: from eggs.gnu.org ([208.118.235.92]:35046)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1gAbvh-0001lH-H7
 for 33007 <at> debbugs.gnu.org; Thu, 11 Oct 2018 10:27:09 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1gAbvZ-0004TL-BH
 for 33007 <at> debbugs.gnu.org; Thu, 11 Oct 2018 10:27:04 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:58243)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1gAbvZ-0004TH-79; Thu, 11 Oct 2018 10:27:01 -0400
Received: from [176.228.60.248] (port=4133 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1gAbvY-00016T-QH; Thu, 11 Oct 2018 10:27:01 -0400
Date: Thu, 11 Oct 2018 17:27:02 +0300
Message-Id: <831s8wy2x5.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Jean Louis <bugs@HIDDEN>
In-reply-to: <20181011140845.GW980@HIDDEN> (message from Jean
 Louis on Thu, 11 Oct 2018 16:08:45 +0200)
Subject: Re: bug#33007: 27.0.50; Proposal for function to edit and return
 string
References: <86pnwh4je8.fsf@HIDDEN> <83bm81xl84.fsf@HIDDEN>
 <20181011063321.GD27672@HIDDEN>
 <83a7nky4d3.fsf@HIDDEN> <20181011140845.GW980@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 33007
Cc: 33007 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> Date: Thu, 11 Oct 2018 16:08:45 +0200
> From: Jean Louis <bugs@HIDDEN>
> Cc: 33007 <at> debbugs.gnu.org
> 
> > The minibuffer is a normal buffer, so you should be able to use all
> > the facilities you mention, perhaps by allowing
> > recursive minibuffers.
> 
> I don't know how to use minibuffer as normal
> buffer. For example I cannot enter M-x commands,
> as there is error command attempted to use
> minibuffer while in minibuffer.

"M-x set-variable RET enable-recursive-minibuffers RET t RET"




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33007; Package emacs. Full text available.

Message received at 33007 <at> debbugs.gnu.org:


Received: (at 33007) by debbugs.gnu.org; 11 Oct 2018 14:24:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 11 10:24:36 2018
Received: from localhost ([127.0.0.1]:45357 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gAbtE-0001hG-GL
	for submit <at> debbugs.gnu.org; Thu, 11 Oct 2018 10:24:36 -0400
Received: from eggs.gnu.org ([208.118.235.92]:34226)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1gAbtC-0001h1-2R
 for 33007 <at> debbugs.gnu.org; Thu, 11 Oct 2018 10:24:34 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1gAbt1-0002o4-JW
 for 33007 <at> debbugs.gnu.org; Thu, 11 Oct 2018 10:24:28 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:58203)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1gAbsy-0002mv-JV; Thu, 11 Oct 2018 10:24:21 -0400
Received: from [176.228.60.248] (port=3964 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1gAbsy-0000dO-5J; Thu, 11 Oct 2018 10:24:20 -0400
Date: Thu, 11 Oct 2018 17:24:21 +0300
Message-Id: <834ldsy31m.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
In-reply-to: <87lg74zk2k.fsf@HIDDEN> (message from Michael Heerdegen on Thu,
 11 Oct 2018 15:31:15 +0200)
Subject: Re: bug#33007: 27.0.50;
 Proposal for function to edit and return string
References: <86pnwh4je8.fsf@HIDDEN> <83bm81xl84.fsf@HIDDEN>
 <20181011063321.GD27672@HIDDEN> <87lg74zk2k.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 33007
Cc: 33007 <at> debbugs.gnu.org, bugs@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> From: Michael Heerdegen <michael_heerdegen@HIDDEN>
> Cc: Eli Zaretskii <eliz@HIDDEN>,  33007 <at> debbugs.gnu.org
> Date: Thu, 11 Oct 2018 15:31:15 +0200
> 
> Some minor thoughts: The input buffer should be more controllable: modes
> and keymap shouldn't be fixed.  Also, it should be possible to prefill
> the buffer with a string describing what the user is expected to do, and
> which is ignored after the user has finished.

Don't we already have something like that in Customize and/or in EWW,
where they allow the user to fill fields in a form?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33007; Package emacs. Full text available.

Message received at 33007 <at> debbugs.gnu.org:


Received: (at 33007) by debbugs.gnu.org; 11 Oct 2018 14:17:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 11 10:17:19 2018
Received: from localhost ([127.0.0.1]:45343 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gAbmA-0001WH-Ne
	for submit <at> debbugs.gnu.org; Thu, 11 Oct 2018 10:17:18 -0400
Received: from mout.web.de ([212.227.15.14]:43601)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1gAbm9-0001W4-Bg
 for 33007 <at> debbugs.gnu.org; Thu, 11 Oct 2018 10:17:17 -0400
Received: from drachen.dragon ([94.218.210.177]) by smtp.web.de (mrweb004
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0MRzYo-1gGc2O2zIg-00TDlS; Thu, 11
 Oct 2018 16:16:38 +0200
Received: from drachen.dragon ([94.218.210.177]) by smtp.web.de (mrweb004
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0MRzYo-1gGc2O2zIg-00TDlS; Thu, 11
 Oct 2018 16:16:38 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Jean Louis <bugs@HIDDEN>
Subject: Re: bug#33007: 27.0.50;
 Proposal for function to edit and return string
References: <86pnwh4je8.fsf@HIDDEN> <83bm81xl84.fsf@HIDDEN>
 <20181011063321.GD27672@HIDDEN> <83a7nky4d3.fsf@HIDDEN>
 <20181011140845.GW980@HIDDEN>
Date: Thu, 11 Oct 2018 16:16:38 +0200
In-Reply-To: <20181011140845.GW980@HIDDEN> (Jean Louis's message
 of "Thu, 11 Oct 2018 16:08:45 +0200")
Message-ID: <87a7nkzhyx.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:LkfoGIfCvGLlsapdGjARgUHjebabIJn/dpJcts3K8q3v7h/MXXy
 c6j0yz9jr5cE+FvSi59HS0DgCsJuLOjq/aeuEE4uUb+rnw823z4ZHUFzHxjr2yeLnn2vF+u
 WqWviuas81RhkHu5yH3Jm3YV9NGCLJh6hgaKf4QO88EGZvox6BGO6MtR8/0SpUMxDdeUzbc
 wawFA1iGsmUjS6JF6hn7A==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V01:K0:TLJfp7rX+MM=:ZND662FVqRbR82wJyoPaF0
 gj4SCM8+KYk+Wl9cEcK54EaTmz42yMAGG6LFkvKnCouEwG4dByvmRuC8LByK3JXVgO70ak5Fm
 nhOC0JctuDn1MfzixsFSi88nM3qNcfhpvfAzrLzhoEH0PcLjLmK3UqZBUGD6cbxa+tVjdzSbs
 wzANqgehoBudopr63lXIO/uqvPuDhcXgbScPOrsRlM3RWyinViAfPLgnZ+52/2nEEsiq9/FFg
 mI9RVcUNUf/qMzNDdf5O7iE4rvXR6tVOqCsbxDCLo7Cmfv2ExUUURArZGl9jrrXL2PMH4D829
 HWXC5cp+s0sHIXIQOwEIJuimmYpJuKs7e/6ZmNccMn+UEHa/PE9Yq8KUNUWbni8NVQlWrqJ3x
 NIsKf9QvprG1l6+hxsiRvvhMcKwWNIyUWxOcxbpEvjMj6YNoWD2HDI+H1K7MA0Mz03BC0te8I
 SHm1eZrghlqgR9DriLR1buGS/DoTsRg5cK8M9W0bcRwOnnDmFe05c+cz27AynQAtdnMTb8Q3e
 Id0FsHTnVFavN0MGKUD9F4SgbFEIzl7U7JNT75C9hLIDLelVhj6r1poVMwg/Gaw/scXrEGPr6
 g3k0hT3E8AfhcnuyfvE8GyKo0UriyOYXIB+eYHkj+UjCOcqePAEag8dQboZ96iYhQk1oLCL/t
 +kc9V5DO3dagz+OCdru2WiyBoyid4zGJmIh9Syn5rUss1fNARTEVSBoKicOwAW77O6pbLOAJ2
 /OayXiNgGMfarLamOIaOUgQhtuRSWQA8FkGWYqIZT8uBtAGYDkYYM6yqYRuNxkm7qJJMNY0Mw
 4G2h7u12N1L7V8+IRbnkT1dX5F93at/pJpiDmozUiKg7fVUEog=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33007
Cc: Eli Zaretskii <eliz@HIDDEN>, 33007 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Jean Louis <bugs@HIDDEN> writes:

> I don't know how to use minibuffer as normal
> buffer. For example I cannot enter M-x commands,
> as there is error command attempted to use
> minibuffer while in minibuffer.

Just enable recursive minibuffers.

But there are other problems, like accidentally hitting C-g or a history
command let's you lose your input.


Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33007; Package emacs. Full text available.

Message received at 33007 <at> debbugs.gnu.org:


Received: (at 33007) by debbugs.gnu.org; 11 Oct 2018 14:08:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 11 10:08:55 2018
Received: from localhost ([127.0.0.1]:45336 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gAbe2-0001Jb-Nx
	for submit <at> debbugs.gnu.org; Thu, 11 Oct 2018 10:08:55 -0400
Received: from stw1.rcdrun.com ([217.170.207.13]:55159)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bugs@HIDDEN>) id 1gAbe0-0001JO-TZ
 for 33007 <at> debbugs.gnu.org; Thu, 11 Oct 2018 10:08:53 -0400
Received: from protected.rcdrun.com ([::ffff:31.223.149.38])
 (AUTH: PLAIN admin, TLS: TLS1.2,256bits,ECDHE_RSA_AES_256_GCM_SHA384)
 by stw1.rcdrun.com with ESMTPSA; Thu, 11 Oct 2018 07:08:46 -0700
 id 00000000000E78F1.000000005BBF596E.000035F3
Received: from localhost (localhost [127.0.0.1]) (uid 1001)
 by protected.rcdrun.com with local
 id 00000000000C2259.000000005BBF596D.00000D00; Thu, 11 Oct 2018 16:08:45 +0200
Date: Thu, 11 Oct 2018 16:08:45 +0200
From: Jean Louis <bugs@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#33007: 27.0.50; Proposal for function to edit and return
 string
Message-ID: <20181011140845.GW980@HIDDEN>
References: <86pnwh4je8.fsf@HIDDEN> <83bm81xl84.fsf@HIDDEN>
 <20181011063321.GD27672@HIDDEN>
 <83a7nky4d3.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit
Content-Disposition: inline
In-Reply-To: <83a7nky4d3.fsf@HIDDEN>
Organization: GOLDIVANTI LP
User-Agent: Mutt/1.10.1 (2018-07-13)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 33007
Cc: 33007 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Thu, Oct 11, 2018 at 04:55:52PM +0300, Eli Zaretskii wrote:
> > Date: Thu, 11 Oct 2018 08:33:21 +0200
> > From: Jean Louis <bugs@HIDDEN>
> > Cc: 33007 <at> debbugs.gnu.org
> > 
> > > We already have read-string, I think it does what you want.
> > 
> > It reads from mini buffer, it does not open
> > standard buffer where one could change modes and
> > have editing capabilities, preview, insert from
> > other files, etc.
> 
> The minibuffer is a normal buffer, so you should be able to use all
> the facilities you mention, perhaps by allowing
> recursive minibuffers.

I don't know how to use minibuffer as normal
buffer. For example I cannot enter M-x commands,
as there is error command attempted to use
minibuffer while in minibuffer.

> That said, I don't object to an extended facility like the one you
> implemented.

That would be nice.

Jean




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33007; Package emacs. Full text available.

Message received at 33007 <at> debbugs.gnu.org:


Received: (at 33007) by debbugs.gnu.org; 11 Oct 2018 14:02:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 11 10:02:39 2018
Received: from localhost ([127.0.0.1]:45328 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gAbXy-0001Ai-Pz
	for submit <at> debbugs.gnu.org; Thu, 11 Oct 2018 10:02:38 -0400
Received: from mout.web.de ([212.227.15.3]:47411)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1gAbXw-0001AU-MR
 for 33007 <at> debbugs.gnu.org; Thu, 11 Oct 2018 10:02:37 -0400
Received: from drachen.dragon ([94.218.210.177]) by smtp.web.de (mrweb002
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0MYviN-1gE7lM00d1-00VfhY; Thu, 11
 Oct 2018 16:01:59 +0200
Received: from drachen.dragon ([94.218.210.177]) by smtp.web.de (mrweb002
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0MYviN-1gE7lM00d1-00VfhY; Thu, 11
 Oct 2018 16:01:59 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#33007: 27.0.50;
 Proposal for function to edit and return string
References: <86pnwh4je8.fsf@HIDDEN> <83bm81xl84.fsf@HIDDEN>
 <20181011063321.GD27672@HIDDEN> <83a7nky4d3.fsf@HIDDEN>
Date: Thu, 11 Oct 2018 16:01:58 +0200
In-Reply-To: <83a7nky4d3.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 11 Oct
 2018 16:55:52 +0300")
Message-ID: <87ftxczind.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:Ve+HtEtjwr5mNETXrSMg5Z19w+lfoDQyWG2EL8ykCZ4sAh1+Rw4
 a5C3xJT3bJtc5yXNB/a2e9PjUmQfrNC1FV/imMPfAm0YLug8CN79AcIOgKy8P5hxfPE5Y8S
 TxMplY9HVRn98SO9plOyBGz3wJY8vuCT4ITdhcfnNXIxWJwd7TthfB4G59A+xR8rVwAbdSy
 bvlgUH08eeuOfGCg3hnQw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V01:K0:xOoAQe/ogFg=:0/PwFVJWmjJHINPvVMRueL
 /Q/t4LVPlEAm3b+qmIV4xeKbPwZYEXgdHzC5/TXzirSjxTyp4oIhjrzKwOx9duLktgCdbY8qc
 wdjsOb6paGFUk10LOX0906O/tTg7qm8/6F/ZiHejv1bOCdA1xyahnzHDgVTovVixPFOEaY/J4
 nLNEaQxKzgfMEe1fl5KjxlVBgzdUa3EJbfHOBwnwplTokwcM7Mdgd7CWXMSSbkNdh0k5YT+Yx
 A8cfGU8wYeDeIdKt6UvkqfkKVErEkP3UPo174aiZxZD4eSXxfG56drV6YysmjGT/KOWfEF4n0
 mMBumuHgFGibbLnam0fBuLFsXP4FjhbtKZsPaq3Rc685gPFX8rnO4zkF2F66oIsdIuulQv73A
 x7VeROpToQ1cjb1G+gAr5L3Mzw6Vg72qkP2FIsk07Pw0lP2QrC0rEj89GarG7xTWyK6uzkWm/
 WG6AJTkbjOcAB1NkiOYyOTVBinIXWhWrDPWpk/bTZPIM5oF3iDzLTcd2e8Y6gkxBPlTOIf9HU
 3n7+DU2eog37fYhj+dByMll/0hlaJnZ6bLKijzRgp2Lgv2oQg02zNFN5p2DA6xgqJXS7ZDokH
 GBwor+iPDqOeNcTuwT/naBp5YpeeK9sqnVsXlfv7FKZWC6iW98sL1e7HAoCYYW+4nQah9fYbL
 qIz5Q5KsAuy0NyYQ7+Gvcq109CeLRIr69fr7NmB7rZt9rwPgRbvo8ZwoieyLWIsg9DmPfKO2j
 QwiiAmE85G1SgdY5JXjbN8tWm9A1mZZCr+EPX9W11Ff4gmvQeHKGw+uVk+onR1RES++v2F2RF
 J4gUnAfZn2xXj9XsK/510DpK6CpZ9wHPitOLyFAqsIMxDwua24=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33007
Cc: 33007 <at> debbugs.gnu.org, Jean Louis <bugs@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> The minibuffer is a normal buffer, so you should be able to use all
> the facilities you mention, perhaps by allowing recursive minibuffers.

My use case is typically to be able to enter/edit multi line text.  The
minibuffer is not really good for that, since bindings interfere with
editing (RET, Space etc), and the height of the minibuffer is limited.


Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33007; Package emacs. Full text available.

Message received at 33007 <at> debbugs.gnu.org:


Received: (at 33007) by debbugs.gnu.org; 11 Oct 2018 13:56:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 11 09:56:13 2018
Received: from localhost ([127.0.0.1]:45320 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gAbRk-00010J-NF
	for submit <at> debbugs.gnu.org; Thu, 11 Oct 2018 09:56:12 -0400
Received: from eggs.gnu.org ([208.118.235.92]:54498)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1gAbRj-00010D-Cz
 for 33007 <at> debbugs.gnu.org; Thu, 11 Oct 2018 09:56:11 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1gAbRY-0001ye-Sm
 for 33007 <at> debbugs.gnu.org; Thu, 11 Oct 2018 09:56:06 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:57634)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1gAbRY-0001yU-Kt; Thu, 11 Oct 2018 09:56:00 -0400
Received: from [176.228.60.248] (port=2176 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1gAbRY-00087C-6K; Thu, 11 Oct 2018 09:56:00 -0400
Date: Thu, 11 Oct 2018 16:55:52 +0300
Message-Id: <83a7nky4d3.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Jean Louis <bugs@HIDDEN>
In-reply-to: <20181011063321.GD27672@HIDDEN> (message from Jean
 Louis on Thu, 11 Oct 2018 08:33:21 +0200)
Subject: Re: bug#33007: 27.0.50; Proposal for function to edit and return
 string
References: <86pnwh4je8.fsf@HIDDEN>
 <83bm81xl84.fsf@HIDDEN> <20181011063321.GD27672@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 33007
Cc: 33007 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> Date: Thu, 11 Oct 2018 08:33:21 +0200
> From: Jean Louis <bugs@HIDDEN>
> Cc: 33007 <at> debbugs.gnu.org
> 
> > We already have read-string, I think it does what you want.
> 
> It reads from mini buffer, it does not open
> standard buffer where one could change modes and
> have editing capabilities, preview, insert from
> other files, etc.

The minibuffer is a normal buffer, so you should be able to use all
the facilities you mention, perhaps by allowing recursive minibuffers.

That said, I don't object to an extended facility like the one you
implemented.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33007; Package emacs. Full text available.

Message received at 33007 <at> debbugs.gnu.org:


Received: (at 33007) by debbugs.gnu.org; 11 Oct 2018 13:40:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 11 09:40:53 2018
Received: from localhost ([127.0.0.1]:44289 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gAbCv-0000Ou-22
	for submit <at> debbugs.gnu.org; Thu, 11 Oct 2018 09:40:53 -0400
Received: from stw1.rcdrun.com ([217.170.207.13]:52727)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bugs@HIDDEN>) id 1gAbCs-0000Oc-UW
 for 33007 <at> debbugs.gnu.org; Thu, 11 Oct 2018 09:40:51 -0400
Received: from protected.rcdrun.com ([::ffff:31.223.149.38])
 (AUTH: PLAIN admin, TLS: TLS1.2,256bits,ECDHE_RSA_AES_256_GCM_SHA384)
 by stw1.rcdrun.com with ESMTPSA; Thu, 11 Oct 2018 06:40:43 -0700
 id 00000000000E78F6.000000005BBF52DB.00003438
Received: from localhost (localhost [127.0.0.1]) (uid 1001)
 by protected.rcdrun.com with local
 id 00000000000C2288.000000005BBF52D9.00000AF5; Thu, 11 Oct 2018 15:40:41 +0200
Date: Thu, 11 Oct 2018 15:40:41 +0200
From: Jean Louis <bugs@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#33007: 27.0.50; Proposal for function to edit and return
 string
Message-ID: <20181011134041.GB2686@HIDDEN>
References: <86pnwh4je8.fsf@HIDDEN> <83bm81xl84.fsf@HIDDEN>
 <20181011063321.GD27672@HIDDEN>
 <87lg74zk2k.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit
Content-Disposition: inline
In-Reply-To: <87lg74zk2k.fsf@HIDDEN>
User-Agent: Mutt/1.10.1 (2018-07-13)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 33007
Cc: Eli Zaretskii <eliz@HIDDEN>, 33007 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Thu, Oct 11, 2018 at 03:31:15PM +0200, Michael Heerdegen wrote:
> Jean Louis <bugs@HIDDEN> writes:
> 
> > Something like this below shall become read-from-buffer [...]
> 
> I agree that such an interface would be useful for Emacs.  I think it
> already has been reinvented multiple times in Emacs itself.  I invented
> it myself.
> 
> Some minor thoughts: The input buffer should be more controllable: modes
> and keymap shouldn't be fixed.  Also, it should be possible to prefill
> the buffer with a string describing what the user is expected to do, and
> which is ignored after the user has finished.

Yes, please. With some immutable string maybe like
instructions, as option.

Jean




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33007; Package emacs. Full text available.

Message received at 33007 <at> debbugs.gnu.org:


Received: (at 33007) by debbugs.gnu.org; 11 Oct 2018 13:31:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 11 09:31:55 2018
Received: from localhost ([127.0.0.1]:44283 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gAb4F-0000Bn-63
	for submit <at> debbugs.gnu.org; Thu, 11 Oct 2018 09:31:55 -0400
Received: from mout.web.de ([212.227.15.14]:33181)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1gAb4D-0000Bb-Uv
 for 33007 <at> debbugs.gnu.org; Thu, 11 Oct 2018 09:31:54 -0400
Received: from drachen.dragon ([94.218.210.177]) by smtp.web.de (mrweb002
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0MF3Nr-1fuOy71y9b-00GJyN; Thu, 11
 Oct 2018 15:31:16 +0200
Received: from drachen.dragon ([94.218.210.177]) by smtp.web.de (mrweb002
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0MF3Nr-1fuOy71y9b-00GJyN; Thu, 11
 Oct 2018 15:31:16 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Jean Louis <bugs@HIDDEN>
Subject: Re: bug#33007: 27.0.50;
 Proposal for function to edit and return string
References: <86pnwh4je8.fsf@HIDDEN> <83bm81xl84.fsf@HIDDEN>
 <20181011063321.GD27672@HIDDEN>
Date: Thu, 11 Oct 2018 15:31:15 +0200
In-Reply-To: <20181011063321.GD27672@HIDDEN> (Jean Louis's
 message of "Thu, 11 Oct 2018 08:33:21 +0200")
Message-ID: <87lg74zk2k.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:5vYB0L7oEax+w8VjX+NJM9l9F4B9L292x67KV0Fk4ubxA2eKqtz
 5Eea6+/Av+I8Ju+3P7wka57k9ZTJCzH/cOuayUkjYLOfD6bEkEpdEPCHP5oob4eLK0WZMEg
 pP/JjWWFah077vb/6iy1vRpPcFpxO8I6cFxczzh1I+RvNOwAR1jAixGx9FP536jcl/1eaA9
 /ku1ndUc6VqhteExYvpQA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V01:K0:/yrrbZX/3o4=:PvAYrW4uJCwaaiwD108KI7
 xXV0byzBuAmhx/W0SiM/HPOcgLYTiDwORhxlqOrT3v5inoYyIvKQf97p2SqPlRV11BO220PFJ
 0U9KRHJGy9dXhYuwbMRnNVg197TneUp65t3KrA049RG7QQeZpB1XCMr+54r/cYE4M1/hs66kT
 FTPVF1bL54j9VkKB6qTlcJ94lkl09SZW4tKZUtwGTiQ7pohGs3Rq5WoqYWWP/ou7FcGxDMJRA
 /6pbVOpNwS62pKdJL/cw9rEiHlz84MzbzosKPrYzVY7pURrdPDT8Nr8jJlUEARfY+ft9AVNZj
 /HwcNia4VQAxu++10x3zB/r+Uy8XSp4D5fayBIIUwkNIKroK4glvHEXtXxihyUfSgj70zgWWq
 nbPO3FEmNKbT8bbtmAAQAc11+kJR6Svuw5S6aFgrZ6j5xTSm2tDrCOVo91Km2qnvoYSr3FXbM
 fbTr4K0DK7BAj32oI2MtAchYJ8eISeqfm8e5RIwWNmLwagKFFW7MaPwDWxhte3htAeaXl7q9u
 xVt4yMuhIqin6V8KiTjtH0zepxK/OLH07deTWaL+mJofkiMpTZCxzR74THIfvgQt6DPjYsnvL
 sdEW41nVLJF47zz/RS9b6uHyxG2oglmz6Y2plb+HBWLRdw1c/QaUMgXbCLY450b9kg0QKJVFP
 Peb3s4BObQvYXt6GBVWCWY8uMSp2DI7ytJkxfQXEl15xRdEqWYW97hKzXpEqebDEhrxElX8Qj
 RW8J1UUpCZhuvWdJgsbdHY3Irs2n0BEGWB8eowJxRb3BFj/0DX/dv/H3J/1Lm48M34tM/x3FX
 rgdaS4uDJAx7PC59o1L72FI2+8V5seZmrZaAavzqJ25TAWSPv8=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33007
Cc: Eli Zaretskii <eliz@HIDDEN>, 33007 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Jean Louis <bugs@HIDDEN> writes:

> Something like this below shall become read-from-buffer [...]

I agree that such an interface would be useful for Emacs.  I think it
already has been reinvented multiple times in Emacs itself.  I invented
it myself.

Some minor thoughts: The input buffer should be more controllable: modes
and keymap shouldn't be fixed.  Also, it should be possible to prefill
the buffer with a string describing what the user is expected to do, and
which is ignored after the user has finished.


Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33007; Package emacs. Full text available.

Message received at 33007 <at> debbugs.gnu.org:


Received: (at 33007) by debbugs.gnu.org; 11 Oct 2018 06:33:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 11 02:33:31 2018
Received: from localhost ([127.0.0.1]:44086 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gAUXL-0004k2-7P
	for submit <at> debbugs.gnu.org; Thu, 11 Oct 2018 02:33:31 -0400
Received: from stw1.rcdrun.com ([217.170.207.13]:55573)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bugs@HIDDEN>) id 1gAUXJ-0004jm-Gr
 for 33007 <at> debbugs.gnu.org; Thu, 11 Oct 2018 02:33:29 -0400
Received: from protected.rcdrun.com ([::ffff:31.223.149.38])
 (AUTH: PLAIN admin, TLS: TLS1.2,256bits,ECDHE_RSA_AES_256_GCM_SHA384)
 by stw1.rcdrun.com with ESMTPSA; Wed, 10 Oct 2018 23:33:23 -0700
 id 00000000000E78F1.000000005BBEEEB3.00001CE4
Received: from localhost (localhost [127.0.0.1]) (uid 1001)
 by protected.rcdrun.com with local
 id 00000000000C2229.000000005BBEEEB1.0000746D; Thu, 11 Oct 2018 08:33:21 +0200
Date: Thu, 11 Oct 2018 08:33:21 +0200
From: Jean Louis <bugs@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#33007: 27.0.50; Proposal for function to edit and return
 string
Message-ID: <20181011063321.GD27672@HIDDEN>
References: <86pnwh4je8.fsf@HIDDEN>
 <83bm81xl84.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit
Content-Disposition: inline
In-Reply-To: <83bm81xl84.fsf@HIDDEN>
User-Agent: Mutt/1.10.1 (2018-07-13)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 33007
Cc: 33007 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Thu, Oct 11, 2018 at 05:36:59AM +0300, Eli Zaretskii wrote:
> > From: Jean Louis <bugs@HIDDEN>
> > Date: Wed, 10 Oct 2018 22:49:19 +0200
> > 
> > 
> > I would like to propose function for GNU Emacs so that there is
> > function to edit and return the string.
> > 
> > It would be equivalent to read-from-minibuffer only that we shall have
> > function to edit in the whole buffer, not just in one line in mini
> > buffer.
> 
> We already have read-string, I think it does what you want.

It reads from mini buffer, it does not open
standard buffer where one could change modes and
have editing capabilities, preview, insert from
other files, etc.

I have found solution for me. And I think
something like that shall be included in emacs.

Why?

We have read-from-minibuffer.

Logically there shall be read-from-buffer too.

Isn't it?

I am using this one below now but it would be nice
to have it as fully fledged with options
etc. professional built-in function.

I have website revision system written in LISP
that invokes Emacs to edit PostgreSQL variables,
including LISP variables. Such contain markup,
notes, description, bodies of text that cannot fit
into read-string function and where I need to
preview the file, work with it, until it is
published. Some page are even in Org mode, so I
would need to see how they look like before I let
it be fed into the database again.

At the moment I tried doing the same from within
Emacs, I have spent hours trying to find something
like read-from-buffer as I was convinced it exists
there.

That is why I am proposing standardized function
to read-from-buffer with nice options as built in
function.

And I will appreciate any improvements to the
below function.

Jean

Something like this below shall become read-from-buffer

;;; edited from https://raw.githubusercontent.com/deestan/emacs/master/emacs-goodies-el/miniedit.el
(defun edit-string (value)
  "Edits string and returns it"
  (let ((this-buffer (buffer-name))
	(new-value value)
	(buffy "*edit-string*"))
    (save-excursion
      (switch-to-buffer buffy)
      (set-buffer buffy)
      (text-mode)
      (local-set-key (kbd "C-c C-c") 'exit-recursive-edit)
      (if (stringp value) (insert value))
      (message "When you're done editing press C-c C-c or C-M-c to continue.")
      (unwind-protect
	  (recursive-edit)
	(if (get-buffer-window buffy)
	    (progn
	      (setq new-value (buffer-substring (point-min) (point-max)))
	      (kill-buffer buffy))))
      (switch-to-buffer this-buffer)
      new-value)))




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33007; Package emacs. Full text available.

Message received at 33007 <at> debbugs.gnu.org:


Received: (at 33007) by debbugs.gnu.org; 11 Oct 2018 02:37:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 10 22:37:12 2018
Received: from localhost ([127.0.0.1]:44042 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gAQqe-0007O8-BF
	for submit <at> debbugs.gnu.org; Wed, 10 Oct 2018 22:37:12 -0400
Received: from eggs.gnu.org ([208.118.235.92]:43104)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1gAQqc-0007Nw-3S
 for 33007 <at> debbugs.gnu.org; Wed, 10 Oct 2018 22:37:10 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1gAQqS-0002e1-Q4
 for 33007 <at> debbugs.gnu.org; Wed, 10 Oct 2018 22:37:04 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:47799)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1gAQqS-0002dv-MU; Wed, 10 Oct 2018 22:37:00 -0400
Received: from [176.228.60.248] (port=4013 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1gAQqS-0006oT-95; Wed, 10 Oct 2018 22:37:00 -0400
Date: Thu, 11 Oct 2018 05:36:59 +0300
Message-Id: <83bm81xl84.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Jean Louis <bugs@HIDDEN>
In-reply-to: <86pnwh4je8.fsf@HIDDEN> (message from Jean Louis on
 Wed, 10 Oct 2018 22:49:19 +0200)
Subject: Re: bug#33007: 27.0.50;
 Proposal for function to edit and return string
References: <86pnwh4je8.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 33007
Cc: 33007 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> From: Jean Louis <bugs@HIDDEN>
> Date: Wed, 10 Oct 2018 22:49:19 +0200
> 
> 
> I would like to propose function for GNU Emacs so that there is
> function to edit and return the string.
> 
> It would be equivalent to read-from-minibuffer only that we shall have
> function to edit in the whole buffer, not just in one line in mini
> buffer.

We already have read-string, I think it does what you want.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33007; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 10 Oct 2018 20:50:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 10 16:50:18 2018
Received: from localhost ([127.0.0.1]:43917 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gALQw-0003FC-8e
	for submit <at> debbugs.gnu.org; Wed, 10 Oct 2018 16:50:18 -0400
Received: from eggs.gnu.org ([208.118.235.92]:33067)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <support1@HIDDEN>) id 1gALQu-0003Ez-1I
 for submit <at> debbugs.gnu.org; Wed, 10 Oct 2018 16:50:16 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <support1@HIDDEN>) id 1gALQm-0003D6-VS
 for submit <at> debbugs.gnu.org; Wed, 10 Oct 2018 16:50:10 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.5 required=5.0 tests=BAYES_05 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:46843)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <support1@HIDDEN>)
 id 1gALQm-0003Ct-Oq
 for submit <at> debbugs.gnu.org; Wed, 10 Oct 2018 16:50:08 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:42665)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <support1@HIDDEN>) id 1gALQl-0003FX-Ue
 for bug-gnu-emacs@HIDDEN; Wed, 10 Oct 2018 16:50:08 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <support1@HIDDEN>) id 1gALQi-0003AR-Jm
 for bug-gnu-emacs@HIDDEN; Wed, 10 Oct 2018 16:50:07 -0400
Received: from stw1.rcdrun.com ([217.170.207.13]:60827)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <support1@HIDDEN>)
 id 1gALQi-0002oF-BF
 for bug-gnu-emacs@HIDDEN; Wed, 10 Oct 2018 16:50:04 -0400
Received: from protected.rcdrun.com ([::ffff:31.223.149.38])
 (AUTH: PLAIN admin, TLS: TLS1.2,256bits,ECDHE_RSA_AES_256_GCM_SHA384)
 by stw1.rcdrun.com with ESMTPSA; Wed, 10 Oct 2018 13:49:22 -0700
 id 00000000000E78F1.000000005BBE65D2.00000914
Received: from localhost (localhost [127.0.0.1]) (uid 1001)
 by protected.rcdrun.com with local
 id 00000000000C1222.000000005BBE65CF.00005B13; Wed, 10 Oct 2018 22:49:19 +0200
User-agent: mu4e 1.0; emacs 27.0.50
From: Jean Louis <bugs@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 27.0.50; Proposal for function to edit and return string
Date: Wed, 10 Oct 2018 22:49:19 +0200
Message-ID: <86pnwh4je8.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -3.8 (---)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.8 (----)


I would like to propose function for GNU Emacs so that there is
function to edit and return the string.

It would be equivalent to read-from-minibuffer only that we shall have
function to edit in the whole buffer, not just in one line in mini
buffer.

Sadly I don't know how to make it.

Here are my two attempts:

(defun rcd-edit-value (value)
      (let ((file (make-temp-file "rcd-db-" nil ".txt" value)))
        (find-file file)
        (string-from-file)))

(defun string-from-file (file)
  "Return file content."
  (with-temp-buffer
    (insert-file-contents file)
    (buffer-string)))

(setq got-it (rcd-edit-value "something"))

but this one is not working as (find-file file) does not wait, and I get
"something" back from file.

This below is my other attempt which looks more logical and could end
with C-c C-c but I am failing to get the value given back.

(defun buffer-out ()
  (interactive)
  (let ((buffer (current-buffer))
	(value (buffer-string)))
    (kill-buffer buffer)))

;; (defun buffer-string-out ()
;;   (interactive)
;;   (buffer-string))

(defun edit-string (string)
  (interactive)
  (let ((buffer "*edit-string*"))
    (get-buffer-create buffer)
    (switch-to-buffer buffer)
    (set-buffer buffer)
    (let ((inhibit-read-only nil))
      (insert string)
      (fundamental-mode)
      (local-set-key (kbd "C-c C-c") 'buffer-out))))

In my opinion such function shall exist in Emacs by standard, so that
user is able to quickly edit string in a temporary buffer or temporary
file or both, and that value of the buffer is returned back.

Several people asked me why I would do that. Some variables requires
editing, and variables could be as big as Org file, and they could come
from a database.

Then I could edit field values from PostgreSQL database and construct
other small helpful programs.

Jean




Acknowledgement sent to Jean Louis <bugs@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#33007; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 9 May 2022 19:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.